# Constant Field Values

## Contents

- org.opensaml.*

## org.opensaml.*

org.opensaml.core.config.ConfigurationService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARTITION_NAME`
`"default"`
`public static final String`
`PROPERTY_PARTITION_NAME`
`"opensaml.config.partitionName"`
org.opensaml.core.config.InitializationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`4498093523448059017L`

org.opensaml.core.config.provider.ClasspathConfigurationPropertiesSource
Modifier and Type
Constant Field
Value
`private static final String`
`RESOURCE_NAME`
`"opensaml-config.properties"`
org.opensaml.core.config.provider.SystemPropertyFilesystemConfigurationPropertiesSource
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_FILE_NAME`
`"opensaml.config.fileName"`

org.opensaml.core.metrics.impl.HTTPReporter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DT_FORMAT`
`"yyyy-MM-dd\'T\'HH:mm:ss.SSSZZ"`

org.opensaml.core.xml.BaseBearing
Modifier and Type
Constant Field
Value
`public static final String`
`XML_BASE_ATTR_LOCAL_NAME`
`"base"`
org.opensaml.core.xml.IdBearing
Modifier and Type
Constant Field
Value
`public static final String`
`XML_ID_ATTR_LOCAL_NAME`
`"id"`
org.opensaml.core.xml.LangBearing
Modifier and Type
Constant Field
Value
`public static final String`
`XML_LANG_ATTR_LOCAL_NAME`
`"lang"`
org.opensaml.core.xml.NamespaceManager
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NS_TOKEN`
`"#default"`
org.opensaml.core.xml.SpaceBearing
Modifier and Type
Constant Field
Value
`public static final String`
`XML_SPACE_ATTR_LOCAL_NAME`
`"space"`
org.opensaml.core.xml.XMLRuntimeException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`1299468635977382060L`

org.opensaml.core.xml.config.GlobalParserPoolInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROP_PREFIX_XML`
`"opensaml.config.xml"`
`public static final String`
`CONFIG_PROPERTY_XML_ELEMENT_ATTRIBUTE_LIMIT`
`"opensaml.config.xml.elementAttributeLimit"`
`public static final String`
`CONFIG_PROPERTY_XML_MAX_ELEMENT_DEPTH`
`"opensaml.config.xml.maxElementDepth"`
`public static final String`
`ELEMENT_ATTRIBUTE_LIMIT_DEFAULT`
`"30"`
`public static final String`
`MAX_ELEMENT_DEPTH_DEFAULT`
`"25"`
org.opensaml.core.xml.config.XMLConfigurationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-6777602050296807774L`
org.opensaml.core.xml.config.XMLConfigurator
Modifier and Type
Constant Field
Value
`public static final String`
`XMLTOOLING_CONFIG_NS`
`"http://www.opensaml.org/xmltooling-config"`
`public static final String`
`XMLTOOLING_CONFIG_PREFIX`
`"xt"`
`public static final String`
`XMLTOOLING_DEFAULT_OBJECT_PROVIDER`
`"DEFAULT"`
`public static final String`
`XMLTOOLING_SCHEMA_LOCATION`
`"/schema/xmltooling-config.xsd"`

org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROPERTY_XML_STRICT_MODE`
`"opensaml.config.xml.unmarshall.strictMode"`
org.opensaml.core.xml.io.MarshallingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7381813529926476459L`
org.opensaml.core.xml.io.UnmarshallingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7512624219806550152L`

org.opensaml.core.xml.mock.SimpleXMLObject
Modifier and Type
Constant Field
Value
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`LOCAL_NAME`
`"SimpleElement"`
`public static final String`
`NAMESPACE`
`"http://www.example.org/testObjects"`
`public static final String`
`NAMESPACE_PREFIX`
`"test"`

org.opensaml.core.xml.schema.XSAny
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"anyType"`
org.opensaml.core.xml.schema.XSBase64Binary
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"base64Binary"`
org.opensaml.core.xml.schema.XSBoolean
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"boolean"`
org.opensaml.core.xml.schema.XSDateTime
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"dateTime"`
org.opensaml.core.xml.schema.XSInteger
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"integer"`
org.opensaml.core.xml.schema.XSQName
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"QName"`
org.opensaml.core.xml.schema.XSString
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"string"`
org.opensaml.core.xml.schema.XSURI
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"anyURI"`

org.opensaml.messaging.MessageException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`1868716319588852584L`
org.opensaml.messaging.MessageRuntimeException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-5860605517564049459L`

org.opensaml.messaging.decoder.AbstractMessageDecoder
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`
`"PROTOCOL_MESSAGE"`
org.opensaml.messaging.decoder.MessageDecodingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`8762743701118794076L`

org.opensaml.messaging.encoder.AbstractMessageEncoder
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`
`"PROTOCOL_MESSAGE"`
org.opensaml.messaging.encoder.MessageEncodingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-214337183950090567L`

org.opensaml.messaging.handler.MessageHandlerException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`6059103756873522481L`

org.opensaml.profile.action.EventException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-6394047591957378161L`
org.opensaml.profile.action.EventIds
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESS_DENIED`
`"AccessDenied"`
`public static final String`
`INVALID_MESSAGE`
`"InvalidMessage"`
`public static final String`
`INVALID_MESSAGE_VERSION`
`"InvalidMessageVersion"`
`public static final String`
`INVALID_MSG_CTX`
`"InvalidMessageContext"`
`public static final String`
`INVALID_PROFILE_CTX`
`"InvalidProfileContext"`
`public static final String`
`INVALID_SEC_CFG`
`"InvalidSecurityConfiguration"`
`public static final String`
`IO_ERROR`
`"InputOutputError"`
`public static final String`
`MESSAGE_AUTHN_ERROR`
`"MessageAuthenticationError"`
`public static final String`
`MESSAGE_EXPIRED`
`"MessageExpired"`
`public static final String`
`MESSAGE_PROC_ERROR`
`"MessageProcessingError"`
`public static final String`
`MESSAGE_REPLAY`
`"MessageReplay"`
`public static final String`
`PROCEED_EVENT_ID`
`"proceed"`
`public static final String`
`RUNTIME_EXCEPTION`
`"RuntimeException"`
`public static final String`
`UNABLE_TO_DECODE`
`"UnableToDecode"`
`public static final String`
`UNABLE_TO_ENCODE`
`"UnableToEncode"`
`public static final String`
`UNABLE_TO_ENCRYPT`
`"UnableToEncrypt"`
`public static final String`
`UNABLE_TO_SIGN`
`"UnableToSign"`

org.opensaml.profile.context.ProfileRequestContext
Modifier and Type
Constant Field
Value
`public static final String`
`ANONYMOUS_PROFILE_ID`
`"anonymous"`
`public static final String`
`BINDING_KEY`
`"opensamlProfileRequestContext"`

org.opensaml.profile.testing.ActionTestingSupport
Modifier and Type
Constant Field
Value
`public static final String`
`INBOUND_MSG_ID`
`"inbound"`
`public static final String`
`INBOUND_MSG_ISSUER`
`"http://sp.example.org"`
`public static final String`
`OUTBOUND_MSG_ID`
`"outbound"`
`public static final String`
`OUTBOUND_MSG_ISSUER`
`"http://idp.example.org"`
org.opensaml.profile.testing.RequestContextBuilder
Modifier and Type
Constant Field
Value
`private final String`
`NO_VAL`
`"novalue"`

org.opensaml.saml.common.SAMLException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`6308450535247361691L`
org.opensaml.saml.common.SAMLRuntimeException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-593201582585161250L`

org.opensaml.saml.common.assertion.AssertionValidationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-4394174383975186565L`

org.opensaml.saml.common.binding.BindingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`8759204244381246777L`

org.opensaml.saml.common.profile.SAMLEventIds
Modifier and Type
Constant Field
Value
`public static final String`
`ASSERTION_INVALID`
`"AssertionInvalid"`
`public static final String`
`ASYNC_LOGOUT`
`"AsyncLogout"`
`public static final String`
`CHANNEL_BINDINGS_ERROR`
`"ChannelBindingsError"`
`public static final String`
`DECRYPT_ASSERTION_FAILED`
`"DecryptAssertionFailed"`
`public static final String`
`DECRYPT_ATTRIBUTE_FAILED`
`"DecryptAttributeFailed"`
`public static final String`
`DECRYPT_NAMEID_FAILED`
`"DecryptNameIDFailed"`
`public static final String`
`ENDPOINT_RESOLUTION_FAILED`
`"EndpointResolutionFailed"`
`public static final String`
`INVALID_NAMEID_POLICY`
`"InvalidNameIDPolicy"`
`public static final String`
`SESSION_NOT_FOUND`
`"SessionNotFound"`
`public static final String`
`SUBJECT_ID_REQ_FAILED`
`"SubjectIDReqFailed"`
`public static final String`
`UNABLE_RESOLVE_ARTIFACT`
`"UnableToResolveArtifact"`
`public static final String`
`UNABLE_VALIDATE_ASSERTION`
`"UnableToValidateAssertion"`

org.opensaml.saml.common.xml.SAMLConstants
Modifier and Type
Constant Field
Value
`public static final String`
`GET_METHOD`
`"GET"`
`public static final String`
`PAOS_NS`
`"urn:liberty:paos:2003-08"`
`public static final String`
`PAOS_PREFIX`
`"paos"`
`public static final String`
`POST_METHOD`
`"POST"`
`public static final String`
`SAML_IDP_DISCO_NS`
`"urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol"`
`public static final String`
`SAML_IDP_DISCO_PREFIX`
`"idpdisco"`
`public static final String`
`SAML_IDP_DISCO_SCHEMA_LOCATION`
`"/schema/sstc-saml-idp-discovery.xsd"`
`public static final String`
`SAML1_ARTIFACT_BINDING_URI`
`"urn:oasis:names:tc:SAML:1.0:profiles:artifact-01"`
`public static final String`
`SAML1_NS`
`"urn:oasis:names:tc:SAML:1.0:assertion"`
`public static final String`
`SAML1_POST_BINDING_URI`
`"urn:oasis:names:tc:SAML:1.0:profiles:browser-post"`
`public static final String`
`SAML1_PREFIX`
`"saml1"`
`public static final String`
`SAML1_SOAP11_BINDING_URI`
`"urn:oasis:names:tc:SAML:1.0:bindings:SOAP-binding"`
`public static final String`
`SAML10_SCHEMA_LOCATION`
`"/schema/oasis-sstc-saml-schema-assertion-1.0.xsd"`
`public static final String`
`SAML10P_NS`
`"urn:oasis:names:tc:SAML:1.0:protocol"`
`public static final String`
`SAML10P_SCHEMA_LOCATION`
`"/schema/oasis-sstc-saml-schema-protocol-1.0.xsd"`
`public static final String`
`SAML11_SCHEMA_LOCATION`
`"/schema/oasis-sstc-saml-schema-assertion-1.1.xsd"`
`public static final String`
`SAML11P_NS`
`"urn:oasis:names:tc:SAML:1.1:protocol"`
`public static final String`
`SAML11P_SCHEMA_LOCATION`
`"/schema/oasis-sstc-saml-schema-protocol-1.1.xsd"`
`public static final String`
`SAML1MD_NS`
`"urn:oasis:names:tc:SAML:profiles:v1metadata"`
`public static final String`
`SAML1MD_PREFIX`
`"saml1md"`
`public static final String`
`SAML1MD_SCHEMA_LOCATION`
`"/schema/sstc-saml1x-metadata.xsd"`
`public static final String`
`SAML1P_PREFIX`
`"saml1p"`
`public static final String`
`SAML2_ARTIFACT_BINDING_URI`
`"urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact"`
`public static final String`
`SAML2_BINDING_URL_ENCODING_DEFLATE_URI`
`"urn:oasis:names:tc:SAML:2.0:bindings:URL-Encoding:DEFLATE"`
`public static final String`
`SAML2_PAOS_BINDING_URI`
`"urn:oasis:names:tc:SAML:2.0:bindings:PAOS"`
`public static final String`
`SAML2_POST_BINDING_URI`
`"urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST"`
`public static final String`
`SAML2_POST_SIMPLE_SIGN_BINDING_URI`
`"urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign"`
`public static final String`
`SAML2_REDIRECT_BINDING_URI`
`"urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect"`
`public static final String`
`SAML2_SOAP11_BINDING_URI`
`"urn:oasis:names:tc:SAML:2.0:bindings:SOAP"`
`public static final String`
`SAML20_NS`
`"urn:oasis:names:tc:SAML:2.0:assertion"`
`public static final String`
`SAML20_PREFIX`
`"saml2"`
`public static final String`
`SAML20_SCHEMA_LOCATION`
`"/schema/saml-schema-assertion-2.0.xsd"`
`public static final String`
`SAML20AC_NS`
`"urn:oasis:names:tc:SAML:2.0:ac"`
`public static final String`
`SAML20AC_PREFIX`
`"ac"`
`public static final String`
`SAML20AC_SCHEMA_LOCATION`
`"/schema/saml-schema-authn-context-2.0.xsd"`
`public static final String`
`SAML20ALG_NS`
`"urn:oasis:names:tc:SAML:metadata:algsupport"`
`public static final String`
`SAML20ALG_PREFIX`
`"alg"`
`public static final String`
`SAML20ALG_SCHEMA_LOCATION`
`"/schema/sstc-saml-metadata-algsupport-v1.0.xsd"`
`public static final String`
`SAML20CB_NS`
`"urn:oasis:names:tc:SAML:protocol:ext:channel-binding"`
`public static final String`
`SAML20CB_PREFIX`
`"cb"`
`public static final String`
`SAML20CB_SCHEMA_LOCATION`
`"/schema/sstc-saml-channel-binding-ext-v1.0.xsd"`
`public static final String`
`SAML20DCE_NS`
`"urn:oasis:names:tc:SAML:2.0:profiles:attribute:DCE"`
`public static final String`
`SAML20DCE_PREFIX`
`"DCE"`
`public static final String`
`SAML20DCE_SCHEMA_LOCATION`
`"/schema/saml-schema-dce-2.0.xsd"`
`public static final String`
`SAML20DEL_NS`
`"urn:oasis:names:tc:SAML:2.0:conditions:delegation"`
`public static final String`
`SAML20DEL_PREFIX`
`"del"`
`public static final String`
`SAML20DEL_SCHEMA_LOCATION`
`"/schema/sstc-saml-delegation.xsd"`
`public static final String`
`SAML20ECP_NS`
`"urn:oasis:names:tc:SAML:2.0:profiles:SSO:ecp"`
`public static final String`
`SAML20ECP_PREFIX`
`"ecp"`
`public static final String`
`SAML20ECP_SCHEMA_LOCATION`
`"/schema/saml-schema-ecp-2.0.xsd"`
`public static final String`
`SAML20MD_NS`
`"urn:oasis:names:tc:SAML:2.0:metadata"`
`public static final String`
`SAML20MD_PREFIX`
`"md"`
`public static final String`
`SAML20MD_SCHEMA_LOCATION`
`"/schema/saml-schema-metadata-2.0.xsd"`
`public static final String`
`SAML20MDATTR_NS`
`"urn:oasis:names:tc:SAML:metadata:attribute"`
`public static final String`
`SAML20MDATTR_PREFIX`
`"mdattr"`
`public static final String`
`SAML20MDATTR_SCHEMA_LOCATION`
`"/schema/sstc-metadata-attr.xsd"`
`public static final String`
`SAML20MDQUERY_NS`
`"urn:oasis:names:tc:SAML:metadata:ext:query"`
`public static final String`
`SAML20MDQUERY_PREFIX`
`"query"`
`public static final String`
`SAML20MDQUERY_SCHEMA_LOCATION`
`"/schema/sstc-saml-metadata-ext-query.xsd"`
`public static final String`
`SAML20MDRI_NS`
`"urn:oasis:names:tc:SAML:profiles:SSO:request-init"`
`public static final String`
`SAML20MDRI_PREFIX`
`"init"`
`public static final String`
`SAML20MDRPI_NS`
`"urn:oasis:names:tc:SAML:metadata:rpi"`
`public static final String`
`SAML20MDRPI_PREFIX`
`"mdrpi"`
`public static final String`
`SAML20MDRPI_SCHEMA_LOCATION`
`"/schema/saml-metadata-rpi-v1.0.xsd"`
`public static final String`
`SAML20MDUI_NS`
`"urn:oasis:names:tc:SAML:metadata:ui"`
`public static final String`
`SAML20MDUI_PREFIX`
`"mdui"`
`public static final String`
`SAML20MDUI_SCHEMA_LOCATION`
`"/schema/sstc-saml-metadata-ui-v1.0.xsd"`
`public static final String`
`SAML20P_NS`
`"urn:oasis:names:tc:SAML:2.0:protocol"`
`public static final String`
`SAML20P_PREFIX`
`"saml2p"`
`public static final String`
`SAML20P_SCHEMA_LOCATION`
`"/schema/saml-schema-protocol-2.0.xsd"`
`public static final String`
`SAML20PASLO_NS`
`"urn:oasis:names:tc:SAML:2.0:protocol:ext:async-slo"`
`public static final String`
`SAML20PASLO_PREFIX`
`"aslo"`
`public static final String`
`SAML20PASLO_SCHEMA_LOCATION`
`"/schema/saml-async-slo-v1.0.xsd"`
`public static final String`
`SAML20PREQ_ATTR_NS`
`"urn:oasis:names:tc:SAML:protocol:ext:req-attr"`
`public static final String`
`SAML20PREQ_ATTRR_PREFIX`
`"req-attr"`
`public static final String`
`SAML20PTHRPTY_NS`
`"urn:oasis:names:tc:SAML:protocol:ext:third-party"`
`public static final String`
`SAML20PTHRPTY_PREFIX`
`"thrpty"`
`public static final String`
`SAML20PTHRPTY_SCHEMA_LOCATION`
`"/schema/sstc-saml-protocol-ext-thirdparty.xsd"`
`public static final String`
`SAML20X500_NS`
`"urn:oasis:names:tc:SAML:2.0:profiles:attribute:X500"`
`public static final String`
`SAML20X500_PREFIX`
`"x500"`
`public static final String`
`SAML20X500_SCHEMA_LOCATION`
`"/schema/saml-schema-x500-2.0.xsd"`
`public static final String`
`SAML20XACML_NS`
`"urn:oasis:names:tc:SAML:2.0:profiles:attribute:XACML"`
`public static final String`
`SAML20XACML_PREFIX`
`"xacmlprof"`
`public static final String`
`SAML20XACML_SCHEMA_LOCATION`
`"/schema/saml-schema-xacml-2.0.xsd"`
`public static final String`
`SAMLEC_GSS_NS`
`"urn:ietf:params:xml:ns:samlec"`
`public static final String`
`SAMLEC_GSS_PREFIX`
`"samlec"`
`public static final String`
`SAMLEC_GSS_SCHEMA_LOCATION`
`"/schema/ietf-kitten-sasl-saml-ec.xsd"`
`public static final String`
`SCHEMA_DIR`
`"/schema/"`
`public static final String`
`SOAP11ENV_NS`
`"http://schemas.xmlsoap.org/soap/envelope/"`
`public static final String`
`SOAP11ENV_PREFIX`
`"SOAP-ENV"`
`public static final String`
`SOAP11ENV_SCHEMA_LOCATION`
`"/schema/soap-envelope.xsd"`
`public static final String`
`STRICT_SAML20_SCHEMA_LOCATION`
`"/schema/strict/saml-schema-assertion-2.1.xsd"`
`public static final String`
`STRICT_SAML20ALG_SCHEMA_LOCATION`
`"/schema/strict/sstc-saml-metadata-algsupport-v1.1.xsd"`
`public static final String`
`STRICT_SAML20DCE_SCHEMA_LOCATION`
`"/schema/strict/saml-schema-dce-2.1.xsd"`
`public static final String`
`STRICT_SAML20ECP_SCHEMA_LOCATION`
`"/schema/strict/saml-schema-ecp-2.1.xsd"`
`public static final String`
`STRICT_SAML20MD_SCHEMA_LOCATION`
`"/schema/strict/saml-schema-metadata-2.1.xsd"`
`public static final String`
`STRICT_SAML20MDQUERY_SCHEMA_LOCATION`
`"/schema/strict/sstc-saml-metadata-ext-query.xsd"`
`public static final String`
`STRICT_SAML20MDRPI_SCHEMA_LOCATION`
`"/schema/strict/saml-metadata-rpi-v1.1.xsd"`
`public static final String`
`STRICT_SAML20MDUI_SCHEMA_LOCATION`
`"/schema/strict/sstc-saml-metadata-ui-v1.1.xsd"`
`public static final String`
`STRICT_SAML20P_SCHEMA_LOCATION`
`"/schema/strict/saml-schema-protocol-2.1.xsd"`
`public static final String`
`STRICT_SAML20X500_SCHEMA_LOCATION`
`"/schema/strict/saml-schema-x500-2.1.xsd"`
`public static final String`
`STRICT_SAML20XACML_SCHEMA_LOCATION`
`"/schema/strict/saml-schema-xacml-2.1.xsd"`
`public static final String`
`XML_SCHEMA_LOCATION`
`"/schema/xml.xsd"`
`public static final String`
`XMLENC_SCHEMA_LOCATION`
`"/schema/xenc-schema.xsd"`
`public static final String`
`XMLENC11_SCHEMA_LOCATION`
`"/schema/xenc11-schema.xsd"`
`public static final String`
`XMLSIG_SCHEMA_LOCATION`
`"/schema/xmldsig-core-schema.xsd"`
`public static final String`
`XMLSIG11_SCHEMA_LOCATION`
`"/schema/xmldsig11-schema.xsd"`
`public static final String`
`XSD_SCHEMA_LOCATION`
`"/schema/XMLSchema.xsd"`

org.opensaml.saml.config.impl.SAMLConfigurationInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROP_PREFIX_DECODE`
`"opensaml.config.decode.saml"`
`public static final String`
`CONFIG_PROPERTY_DEFLATE_ESTIMATE`
`"opensaml.config.decode.saml.deflate.estimateInflatedSize"`
`public static final String`
`CONFIG_PROPERTY_DEFLATE_INFLATION_FACTOR`
`"opensaml.config.decode.saml.deflate.inflationFactor"`
`public static final String`
`CONFIG_PROPERTY_ENFORCE_KEYINFO_SIZE_LIMIT`
`"opensaml.config.decode.saml.keyinfo.enforceSizeLimit"`
`public static final String`
`CONFIG_PROPERTY_ENFORCE_REQUEST_SIZE_LIMIT`
`"opensaml.config.decode.saml.request.enforceSizeLimit"`
`public static final String`
`CONFIG_PROPERTY_ENFORCE_RESPONSE_SIZE_LIMIT`
`"opensaml.config.decode.saml.response.enforceSizeLimit"`
`public static final String`
`CONFIG_PROPERTY_KEYINFO_SIZE_LIMIT`
`"opensaml.config.decode.saml.keyinfo.sizeLimit"`
`public static final String`
`CONFIG_PROPERTY_REQUEST_SIZE_LIMIT`
`"opensaml.config.decode.saml.request.sizeLimit"`
`public static final String`
`CONFIG_PROPERTY_RESPONSE_SIZE_LIMIT`
`"opensaml.config.decode.saml.response.sizeLimit"`
`public static final String`
`DEFLATE_ESTIMATE_DEFAULT`
`"true"`
`public static final String`
`DEFLATE_INFLATION_FACTOR_DEFAULT`
`"1.75"`
`public static final String`
`ENFORCE_KEYINFO_SIZE_LIMIT_DEFAULT`
`"false"`
`public static final String`
`ENFORCE_REQUEST_SIZE_LIMIT_DEFAULT`
`"false"`
`public static final String`
`ENFORCE_RESPONSE_SIZE_LIMIT_DEFAULT`
`"false"`
`public static final String`
`KEYINFO_SIZE_LIMIT_DEFAULT`
`"2097152"`
`public static final String`
`REQUEST_SIZE_LIMIT_DEFAULT`
`"1048576"`
`public static final String`
`RESPONSE_SIZE_LIMIT_DEFAULT`
`"2097152"`

org.opensaml.saml.ext.idpdisco.DiscoveryResponse
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DiscoveryResponse"`

org.opensaml.saml.ext.reqattr.RequestedAttributes
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequestedAttributes"`
`public static final String`
`SUPPORTS_REQUESTED_ATTRIBUTES_LOCAL_NAME`
`"supportsRequestedAttributes"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedAttributesType"`

org.opensaml.saml.ext.saml1md.SourceID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SourceID"`

org.opensaml.saml.ext.saml2alg.DigestMethod
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DigestMethod"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DigestMethodType"`
org.opensaml.saml.ext.saml2alg.SigningMethod
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SigningMethod"`
`public static final String`
`MAX_KEY_SIZE_ATTRIB_NAME`
`"MaxKeySize"`
`public static final String`
`MIN_KEY_SIZE_ATTRIB_NAME`
`"MinKeySize"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SigningMethodType"`

org.opensaml.saml.ext.saml2aslo.Asynchronous
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Asynchronous"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AsynchronousType"`

org.opensaml.saml.ext.saml2cb.ChannelBindings
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ChannelBindings"`
`public static final String`
`TYPE_ATTRIB_NAME`
`"Type"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ChannelBindingsType"`

org.opensaml.saml.ext.saml2delrestrict.Delegate
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIRMATION_METHOD_ATTRIB_NAME`
`"ConfirmationMethod"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Delegate"`
`public static final String`
`DELEGATION_INSTANT_ATTRIB_NAME`
`"DelegationInstant"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DelegateType"`
org.opensaml.saml.ext.saml2delrestrict.DelegationRestrictionType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"DelegationRestrictionType"`

org.opensaml.saml.ext.saml2mdattr.EntityAttributes
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EntityAttributes"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EntityAttributesType"`

org.opensaml.saml.ext.saml2mdquery.ActionNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ActionNamespace"`
org.opensaml.saml.ext.saml2mdquery.AttributeQueryDescriptorType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeQueryDescriptorType"`
org.opensaml.saml.ext.saml2mdquery.AuthnQueryDescriptorType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthnQueryDescriptorType"`
org.opensaml.saml.ext.saml2mdquery.AuthzDecisionQueryDescriptorType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthzDecisionQueryDescriptorType"`
org.opensaml.saml.ext.saml2mdquery.QueryDescriptorType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"QueryDescriptorType"`
`public static final String`
`WANT_ASSERTIONS_SIGNED_ATTRIB_NAME`
`"WantAssertionsSigned"`

org.opensaml.saml.ext.saml2mdreqinit.RequestInitiator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequestInitiator"`
`public static final String`
`REQUIRED_BINDING_VALUE`
`"urn:oasis:names:tc:SAML:profiles:SSO:request-init"`

org.opensaml.saml.ext.saml2mdrpi.Publication
Modifier and Type
Constant Field
Value
`public static final String`
`CREATION_INSTANT_ATTRIB_NAME`
`"creationInstant"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Publication"`
`public static final String`
`PUBLICATION_ID_ATTRIB_NAME`
`"publicationId"`
`public static final String`
`PUBLISHER_ATTRIB_NAME`
`"publisher"`
`public static final String`
`TYPE_LOCAL_NAME`
`"PublicationType"`
org.opensaml.saml.ext.saml2mdrpi.PublicationInfo
Modifier and Type
Constant Field
Value
`public static final String`
`CREATION_INSTANT_ATTRIB_NAME`
`"creationInstant"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PublicationInfo"`
`public static final String`
`PUBLICATION_ID_ATTRIB_NAME`
`"publicationId"`
`public static final String`
`PUBLISHER_ATTRIB_NAME`
`"publisher"`
`public static final String`
`TYPE_LOCAL_NAME`
`"PublicationInfoType"`
org.opensaml.saml.ext.saml2mdrpi.PublicationPath
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PublicationPath"`
`public static final String`
`TYPE_LOCAL_NAME`
`"PublicationPathType"`
org.opensaml.saml.ext.saml2mdrpi.RegistrationInfo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RegistrationInfo"`
`public static final String`
`REGISTRATION_AUTHORITY_ATTRIB_NAME`
`"registrationAuthority"`
`public static final String`
`REGISTRATION_INSTANT_ATTRIB_NAME`
`"registrationInstant"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RegistrationInfoType"`
org.opensaml.saml.ext.saml2mdrpi.RegistrationPolicy
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RegistrationPolicy"`
org.opensaml.saml.ext.saml2mdrpi.UsagePolicy
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"UsagePolicy"`

org.opensaml.saml.ext.saml2mdui.Description
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Description"`
org.opensaml.saml.ext.saml2mdui.DiscoHints
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DiscoHints"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DiscoHintsType"`
org.opensaml.saml.ext.saml2mdui.DisplayName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DisplayName"`
org.opensaml.saml.ext.saml2mdui.DomainHint
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DomainHint"`
org.opensaml.saml.ext.saml2mdui.GeolocationHint
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"GeolocationHint"`
org.opensaml.saml.ext.saml2mdui.InformationURL
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"InformationURL"`
org.opensaml.saml.ext.saml2mdui.IPHint
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"IPHint"`
org.opensaml.saml.ext.saml2mdui.Keywords
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Keywords"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeywordsType"`
org.opensaml.saml.ext.saml2mdui.Logo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Logo"`
`public static final String`
`HEIGHT_ATTR_NAME`
`"height"`
`public static final String`
`TYPE_LOCAL_NAME`
`"LogoType"`
`public static final String`
`WIDTH_ATTR_NAME`
`"width"`
org.opensaml.saml.ext.saml2mdui.PrivacyStatementURL
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PrivacyStatementURL"`
org.opensaml.saml.ext.saml2mdui.UIInfo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"UIInfo"`
`public static final String`
`TYPE_LOCAL_NAME`
`"UIInfoType"`

org.opensaml.saml.ext.samlec.EncType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncType"`
org.opensaml.saml.ext.samlec.GeneratedKey
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"GeneratedKey"`
`public static final String`
`TYPE_LOCAL_NAME`
`"GeneratedKeyType"`
org.opensaml.saml.ext.samlec.SessionKey
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SessionKey"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SessionKeyType"`

org.opensaml.saml.ext.samlpthrpty.RespondTo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RespondTo"`

org.opensaml.saml.metadata.resolver.filter.FilterException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`6214474330141026496L`

org.opensaml.saml.metadata.resolver.filter.impl.AlgorithmFilter
Modifier and Type
Constant Field
Value
`private static final String`
`GUARD_VALUE`
`"_EMPTY"`
org.opensaml.saml.metadata.resolver.filter.impl.NameIDFormatFilter
Modifier and Type
Constant Field
Value
`private static final String`
`GUARD_VALUE`
`"_EMPTY"`

org.opensaml.saml.metadata.resolver.impl.AbstractDynamicMetadataResolver
Modifier and Type
Constant Field
Value
`public static final String`
`METRIC_GAUGE_NUM_LIVE_ENTITYIDS`
`"gauge.numLiveEntityIDs"`
`public static final String`
`METRIC_GAUGE_PERSISTENT_CACHE_INIT`
`"gauge.persistentCacheInitialization"`
`public static final String`
`METRIC_RATIOGAUGE_FETCH_TO_RESOLVE`
`"ratioGauge.fetchToResolve"`
`public static final String`
`METRIC_TIMER_FETCH_FROM_ORIGIN_SOURCE`
`"timer.fetchFromOriginSource"`
`public static final String`
`METRIC_TIMER_RESOLVE`
`"timer.resolve"`
org.opensaml.saml.metadata.resolver.impl.AbstractReloadingMetadataResolver
Modifier and Type
Constant Field
Value
`public static final String`
`METRIC_TIMER_REFRESH`
`"timer.refresh"`
org.opensaml.saml.metadata.resolver.impl.TemplateRequestURLBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_KEY_ENTITY_ID`
`"entityID"`

org.opensaml.saml.saml1.binding.encoding.impl.HTTPPostEncoder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TEMPLATE_ID`
`"/templates/saml1-post-binding.vm"`

org.opensaml.saml.saml1.core.Action
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Action"`
`public static final String`
`NAMESPACE_ATTRIB_NAME`
`"Namespace"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ActionType"`
org.opensaml.saml.saml1.core.Advice
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Advice"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AdviceType"`
org.opensaml.saml.saml1.core.Assertion
Modifier and Type
Constant Field
Value
`public static final String`
`ASSERTIONID_ATTRIB_NAME`
`"AssertionID"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Assertion"`
`public static final String`
`ID_ATTRIB_NAME`
`"AssertionID"`
`public static final String`
`ISSUEINSTANT_ATTRIB_NAME`
`"IssueInstant"`
`public static final String`
`ISSUER_ATTRIB_NAME`
`"Issuer"`
`public static final String`
`MAJORVERSION_ATTRIB_NAME`
`"MajorVersion"`
`public static final String`
`MINORVERSION_ATTRIB_NAME`
`"MinorVersion"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AssertionType"`
org.opensaml.saml.saml1.core.AssertionArtifact
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AssertionArtifact"`
org.opensaml.saml.saml1.core.AssertionIDReference
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AssertionIDReference"`
org.opensaml.saml.saml1.core.Attribute
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Attribute"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeType"`
org.opensaml.saml.saml1.core.AttributeDesignator
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTENAME_ATTRIB_NAME`
`"AttributeName"`
`public static final String`
`ATTRIBUTENAMESPACE_ATTRIB_NAME`
`"AttributeNamespace"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeDesignator"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeDesignatorType"`
org.opensaml.saml.saml1.core.AttributeQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeQuery"`
`public static final String`
`RESOURCE_ATTRIB_NAME`
`"Resource"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeQueryType"`
org.opensaml.saml.saml1.core.AttributeStatement
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeStatement"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeStatementType"`
org.opensaml.saml.saml1.core.AttributeValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeValue"`
org.opensaml.saml.saml1.core.Audience
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Audience"`
org.opensaml.saml.saml1.core.AudienceRestrictionCondition
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AudienceRestrictionCondition"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AudienceRestrictionConditionType"`
org.opensaml.saml.saml1.core.AuthenticationQuery
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHENTICATIONMETHOD_ATTRIB_NAME`
`"AuthenticationMethod"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthenticationQuery"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthenticationQueryType"`
org.opensaml.saml.saml1.core.AuthenticationStatement
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHENTICATIONINSTANT_ATTRIB_NAME`
`"AuthenticationInstant"`
`public static final String`
`AUTHENTICATIONMETHOD_ATTRIB_NAME`
`"AuthenticationMethod"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthenticationStatement"`
`public static final String`
`HARDWARE_TOKEN_AUTHN_METHOD`
`"urn:oasis:names:tc:SAML:1.0:am:HardwareToken"`
`public static final String`
`KERBEROS_AUTHN_METHOD`
`"urn:ietf:rfc:1510"`
`public static final String`
`PASSWORD_AUTHN_METHOD`
`"urn:oasis:names:tc:SAML:1.0:am:password"`
`public static final String`
`PGP_AUTHN_METHOD`
`"urn:oasis:names:tc:SAML:1.0:am:PGP"`
`public static final String`
`SPKI_AUTHN_METHOD`
`"urn:oasis:names:tc:SAML:1.0:am:SPKI"`
`public static final String`
`SRP_AUTHN_METHOD`
`"urn:ietf:rfc:2945"`
`public static final String`
`TLS_CLIENT_AUTHN_METHOD`
`"urn:ietf:rfc:2246"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthenticationStatementType"`
`public static final String`
`UNSPECIFIED_AUTHN_METHOD`
`"urn:oasis:names:tc:SAML:1.0:am:unspecified"`
`public static final String`
`X509_AUTHN_METHOD`
`"urn:oasis:names:tc:SAML:1.0:am:X509-PKI"`
`public static final String`
`XKMS_AUTHN_METHOD`
`"urn:oasis:names:tc:SAML:1.0:am:XKMS"`
`public static final String`
`XML_DSIG_AUTHN_METHOD`
`"urn:ietf:rfc:3075"`
org.opensaml.saml.saml1.core.AuthorityBinding
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHORITYKIND_ATTRIB_NAME`
`"AuthorityKind"`
`public static final String`
`BINDING_ATTRIB_NAME`
`"Binding"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthorityBinding"`
`public static final String`
`LOCATION_ATTRIB_NAME`
`"Location"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthorityBindingType"`
org.opensaml.saml.saml1.core.AuthorizationDecisionQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthorizationDecisionQuery"`
`public static final String`
`RESOURCE_ATTRIB_NAME`
`"Resource"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthorizationDecisionQueryType"`
org.opensaml.saml.saml1.core.AuthorizationDecisionStatement
Modifier and Type
Constant Field
Value
`public static final String`
`DECISION_ATTRIB_NAME`
`"Decision"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthorizationDecisionStatement"`
`public static final String`
`RESOURCE_ATTRIB_NAME`
`"Resource"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthorizationDecisionStatementType"`
org.opensaml.saml.saml1.core.Condition
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Condition"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ConditionAbstractType"`
org.opensaml.saml.saml1.core.Conditions
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Conditions"`
`public static final String`
`NOTBEFORE_ATTRIB_NAME`
`"NotBefore"`
`public static final String`
`NOTONORAFTER_ATTRIB_NAME`
`"NotOnOrAfter"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ConditionsType"`
org.opensaml.saml.saml1.core.ConfirmationMethod
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ConfirmationMethod"`
`public static final String`
`METHOD_ARTIFACT`
`"urn:oasis:names:tc:SAML:1.0:cm:artifact"`
`public static final String`
`METHOD_ARTIFACT_DEPRECATED`
`"urn:oasis:names:tc:SAML:1.0:cm:artifact-01"`
`public static final String`
`METHOD_BEARER`
`"urn:oasis:names:tc:SAML:1.0:cm:bearer"`
`public static final String`
`METHOD_HOLDER_OF_KEY`
`"urn:oasis:names:tc:SAML:1.0:cm:holder-of-key"`
`public static final String`
`METHOD_SENDER_VOUCHES`
`"urn:oasis:names:tc:SAML:1.0:cm:sender-vouches"`
org.opensaml.saml.saml1.core.DoNotCacheCondition
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DoNotCacheCondition"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DoNotCacheConditionType"`
org.opensaml.saml.saml1.core.Evidence
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Evidence"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EvidenceType"`
org.opensaml.saml.saml1.core.NameIdentifier
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NameIdentifier"`
`public static final String`
`EMAIL`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress"`
`public static final String`
`FORMAT_ATTRIB_NAME`
`"Format"`
`public static final String`
`NAMEQUALIFIER_ATTRIB_NAME`
`"NameQualifier"`
`public static final String`
`TYPE_LOCAL_NAME`
`"NameIdentifierType"`
`public static final String`
`UNSPECIFIED`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:unspecified"`
`public static final String`
`WIN_DOMAIN_QUALIFIED`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:WindowsDomainQualifiedName"`
`public static final String`
`X509_SUBJECT`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName"`
org.opensaml.saml.saml1.core.Query
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Query"`
`public static final String`
`TYPE_LOCAL_NAME`
`"QueryAbstractType"`
org.opensaml.saml.saml1.core.Request
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Request"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestType"`
org.opensaml.saml.saml1.core.RequestAbstractType
Modifier and Type
Constant Field
Value
`public static final String`
`ID_ATTRIB_NAME`
`"RequestID"`
`public static final String`
`ISSUEINSTANT_ATTRIB_NAME`
`"IssueInstant"`
`public static final String`
`MAJORVERSION_ATTRIB_NAME`
`"MajorVersion"`
`public static final String`
`MINORVERSION_ATTRIB_NAME`
`"MinorVersion"`
org.opensaml.saml.saml1.core.RespondWith
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RespondWith"`
org.opensaml.saml.saml1.core.Response
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Response"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ResponseAbstractType"`
org.opensaml.saml.saml1.core.ResponseAbstractType
Modifier and Type
Constant Field
Value
`public static final String`
`ID_ATTRIB_NAME`
`"ResponseID"`
`public static final String`
`INRESPONSETO_ATTRIB_NAME`
`"InResponseTo"`
`public static final String`
`ISSUEINSTANT_ATTRIB_NAME`
`"IssueInstant"`
`public static final String`
`MAJORVERSION_ATTRIB_NAME`
`"MajorVersion"`
`public static final String`
`MINORVERSION_ATTRIB_NAME`
`"MinorVersion"`
`public static final String`
`RECIPIENT_ATTRIB_NAME`
`"Recipient"`
org.opensaml.saml.saml1.core.Statement
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Statement"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatementAbstractType"`
org.opensaml.saml.saml1.core.Status
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Status"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusType"`
org.opensaml.saml.saml1.core.StatusCode
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusCode"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusCodeType"`
`public static final String`
`VALUE_ATTRIB_NAME`
`"Value"`
org.opensaml.saml.saml1.core.StatusDetail
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusDetail"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusDetailType"`
org.opensaml.saml.saml1.core.StatusMessage
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusMessage"`
org.opensaml.saml.saml1.core.Subject
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Subject"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectType"`
org.opensaml.saml.saml1.core.SubjectConfirmation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectConfirmation"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectConfirmationType"`
org.opensaml.saml.saml1.core.SubjectConfirmationData
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectConfirmationData"`
org.opensaml.saml.saml1.core.SubjectLocality
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectLocality"`
`public static final String`
`DNSADDRESS_ATTRIB_NAME`
`"DNSAddress"`
`public static final String`
`IPADDRESS_ATTRIB_NAME`
`"IPAddress"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectLocalityType"`
org.opensaml.saml.saml1.core.SubjectQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectQuery"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectQueryAbstractType"`
org.opensaml.saml.saml1.core.SubjectStatement
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectStatement"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectStatementAbstractType"`

org.opensaml.saml.saml1.testing.SAML1ActionTestingSupport
Modifier and Type
Constant Field
Value
`public static final String`
`ASSERTION_ID`
`"assertion"`
`public static final String`
`REQUEST_ID`
`"request"`
`public static final String`
`RESPONSE_ID`
`"response"`

org.opensaml.saml.saml2.assertion.SAML2AssertionValidationParameters
Modifier and Type
Constant Field
Value
`public static final String`
`CLOCK_SKEW`
`"saml2.ClockSkew"`
`public static final String`
`COND_INFIX`
`".Conditions"`
`public static final String`
`COND_ONE_TIME_USE_EXPIRES`
`"saml2.Conditions.OneTimeUseExpires"`
`public static final String`
`COND_REQUIRED_CONDITIONS`
`"saml2.Conditions.RequiredConditions"`
`public static final String`
`COND_VALID_AUDIENCES`
`"saml2.Conditions.ValidAudiences"`
`public static final String`
`CONFIRMED_SUBJECT_CONFIRMATION`
`"saml2.ConfirmedSubjectConfirmation"`
`public static final String`
`LIFETIME`
`"saml2.Lifetime"`
`public static final String`
`REQUIRE_ENTITY_ISSUER`
`"saml2.RequireEntityIssuer"`
`public static final String`
`SC_ADDRESS_REQUIRED`
`"saml2.SubjectConfirmation.AddressRequired"`
`public static final String`
`SC_CHECK_ADDRESS`
`"saml2.SubjectConfirmation.CheckAddress"`
`public static final String`
`SC_HOK_CONFIRMED_KEYINFO`
`"saml2.SubjectConfirmation.HoK.ConfirmedKeyInfo"`
`public static final String`
`SC_HOK_PRESENTER_CERT`
`"saml2.SubjectConfirmation.HoK.PresenterCertificate"`
`public static final String`
`SC_HOK_PRESENTER_KEY`
`"saml2.SubjectConfirmation.HoK.PresenterKey"`
`public static final String`
`SC_IN_RESPONSE_TO_IGNORED`
`"saml2.SubjectConfirmation.InResponseToIgnored"`
`public static final String`
`SC_IN_RESPONSE_TO_REQUIRED`
`"saml2.SubjectConfirmation.InResponseToRequired"`
`public static final String`
`SC_INFIX`
`".SubjectConfirmation"`
`public static final String`
`SC_NOT_BEFORE_REQUIRED`
`"saml2.SubjectConfirmation.NotBeforeRequired"`
`public static final String`
`SC_NOT_ON_OR_AFTER_REQUIRED`
`"saml2.SubjectConfirmation.NoOnOrAfterRequired"`
`public static final String`
`SC_RECIPIENT_REQUIRED`
`"saml2.SubjectConfirmation.RecipientRequired"`
`public static final String`
`SC_VALID_ADDRESSES`
`"saml2.SubjectConfirmation.ValidAddresses"`
`public static final String`
`SC_VALID_IN_RESPONSE_TO`
`"saml2.SubjectConfirmation.ValidInResponseTo"`
`public static final String`
`SC_VALID_RECIPIENTS`
`"saml2.SubjectConfirmation.ValidRecipients"`
`public static final String`
`SIGNATURE_REQUIRED`
`"saml2.SignatureRequired"`
`public static final String`
`SIGNATURE_VALIDATION_CRITERIA_SET`
`"saml2.SignatureValidationCriteriaSet"`
`public static final String`
`SIGNATURE_VALIDATION_PREVALIDATOR`
`"saml2.SignatureValidationPrevalidator"`
`public static final String`
`SIGNATURE_VALIDATION_TRUST_ENGINE`
`"saml2.SignatureValidationTrustEngine"`
`public static final String`
`STD_PREFIX`
`"saml2"`
`public static final String`
`STMT_AUTHN_CHECK_ADDRESS`
`"saml2.Statement.Authn.SubjectLocality.CheckAddress"`
`public static final String`
`STMT_AUTHN_MAX_TIME`
`"saml2.Statement.Authn.MaxTimeSinceAuthn"`
`public static final String`
`STMT_AUTHN_VALID_ADDRESSES`
`"saml2.Statement.Authn.SubjectLocality.ValidAddresses"`
`public static final String`
`STMT_INFIX`
`".Statement"`
`public static final String`
`VALID_ISSUERS`
`"saml2.ValidIssuers"`

org.opensaml.saml.saml2.binding.encoding.impl.HTTPArtifactEncoder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TEMPLATE_ID`
`"/templates/saml2-post-artifact-binding.vm"`
org.opensaml.saml.saml2.binding.encoding.impl.HTTPPostEncoder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TEMPLATE_ID`
`"/templates/saml2-post-binding.vm"`
org.opensaml.saml.saml2.binding.encoding.impl.HTTPPostSimpleSignEncoder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TEMPLATE_ID`
`"/templates/saml2-post-simplesign-binding.vm"`

org.opensaml.saml.saml2.common.CacheableSAMLObject
Modifier and Type
Constant Field
Value
`public static final String`
`CACHE_DURATION_ATTRIB_NAME`
`"cacheDuration"`
org.opensaml.saml.saml2.common.TimeBoundSAMLObject
Modifier and Type
Constant Field
Value
`public static final String`
`VALID_UNTIL_ATTRIB_NAME`
`"validUntil"`

org.opensaml.saml.saml2.core.Action
Modifier and Type
Constant Field
Value
`public static final String`
`CONTROL_ACTION`
`"Control"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Action"`
`public static final String`
`DELETE_ACTION`
`"Delete"`
`public static final String`
`EXECUTE_ACTION`
`"Execute"`
`public static final String`
`GHPP_NS_URI`
`"urn:oasis:names:tc:SAML:1.0:action:ghpp"`
`public static final String`
`HTTP_GET_ACTION`
`"GET"`
`public static final String`
`HTTP_HEAD_ACTION`
`"HEAD"`
`public static final String`
`HTTP_POST_ACTION`
`"POST"`
`public static final String`
`HTTP_PUT_ACTION`
`"PUT"`
`public static final String`
`NAMEPSACE_ATTRIB_NAME`
`"Namespace"`
`public static final String`
`NEG_CONTROL_ACTION`
`"~Control"`
`public static final String`
`NEG_DELETE_ACTION`
`"~Delete"`
`public static final String`
`NEG_EXECUTE_ACTION`
`"~Execute"`
`public static final String`
`NEG_READ_ACTION`
`"~Read"`
`public static final String`
`NEG_WRITE_ACTION`
`"~Write"`
`public static final String`
`READ_ACTION`
`"Read"`
`public static final String`
`RWEDC_NEGATION_NS_URI`
`"urn:oasis:names:tc:SAML:1.0:action:rwedc-negation"`
`public static final String`
`RWEDC_NS_URI`
`"urn:oasis:names:tc:SAML:1.0:action:rwedc"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ActionType"`
`public static final String`
`UNIX_NS_URI`
`"urn:oasis:names:tc:SAML:1.0:action:unix"`
`public static final String`
`WRITE_ACTION`
`"Write"`
org.opensaml.saml.saml2.core.Advice
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Advice"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AdviceType"`
org.opensaml.saml.saml2.core.Artifact
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Artifact"`
org.opensaml.saml.saml2.core.ArtifactResolve
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ArtifactResolve"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ArtifactResolveType"`
org.opensaml.saml.saml2.core.ArtifactResponse
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ArtifactResponse"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ArtifactResponseType"`
org.opensaml.saml.saml2.core.Assertion
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Assertion"`
`public static final String`
`ID_ATTRIB_NAME`
`"ID"`
`public static final String`
`ISSUE_INSTANT_ATTRIB_NAME`
`"IssueInstant"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AssertionType"`
`public static final String`
`VERSION_ATTRIB_NAME`
`"Version"`
org.opensaml.saml.saml2.core.AssertionIDRef
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AssertionIDRef"`
org.opensaml.saml.saml2.core.AssertionIDRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AssertionIDRequest"`
org.opensaml.saml.saml2.core.AssertionURIRef
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AssertionURIRef"`
org.opensaml.saml.saml2.core.Attribute
Modifier and Type
Constant Field
Value
`public static final String`
`BASIC`
`"urn:oasis:names:tc:SAML:2.0:attrname-format:basic"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Attribute"`
`public static final String`
`FRIENDLY_NAME_ATTRIB_NAME`
`"FriendlyName"`
`public static final String`
`NAME_ATTTRIB_NAME`
`"Name"`
`public static final String`
`NAME_FORMAT_ATTRIB_NAME`
`"NameFormat"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeType"`
`public static final String`
`UNSPECIFIED`
`"urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"`
`public static final String`
`URI_REFERENCE`
`"urn:oasis:names:tc:SAML:2.0:attrname-format:uri"`
org.opensaml.saml.saml2.core.AttributeQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeQuery"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeQueryType"`
org.opensaml.saml.saml2.core.AttributeStatement
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeStatement"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeStatementType"`
org.opensaml.saml.saml2.core.AttributeValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeValue"`
org.opensaml.saml.saml2.core.Audience
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Audience"`
org.opensaml.saml.saml2.core.AudienceRestriction
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AudienceRestriction"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AudienceRestrictionType"`
org.opensaml.saml.saml2.core.AuthenticatingAuthority
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthenticatingAuthority"`
org.opensaml.saml.saml2.core.AuthnContext
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHENTICATED_TELEPHONY_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnContext"`
`public static final String`
`IP_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:InternetProtocol"`
`public static final String`
`IP_PASSWORD_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:InternetProtocolPassword"`
`public static final String`
`KERBEROS_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:Kerberos"`
`public static final String`
`MOFC_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:MobileOneFactorContract"`
`public static final String`
`MOFU_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:MobileOneFactorUnregistered"`
`public static final String`
`MTFC_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:MobileTwoFactorContract"`
`public static final String`
`MTFU_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:MobileTwoFactorUnregistered"`
`public static final String`
`NOMAD_TELEPHONY_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:NomadTelephony"`
`public static final String`
`PASSWORD_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:Password"`
`public static final String`
`PERSONAL_TELEPHONY_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:PersonalTelephony"`
`public static final String`
`PGP_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:PGP"`
`public static final String`
`PPT_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:PasswordProtectedTransport"`
`public static final String`
`PREVIOUS_SESSION_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:PreviousSession"`
`public static final String`
`SMARTCARD_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:Smartcard"`
`public static final String`
`SMARTCARD_PKI_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:SmartcardPKI"`
`public static final String`
`SOFTWARE_PKI_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:SoftwarePKI"`
`public static final String`
`SPKI_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:SPKI"`
`public static final String`
`SRP_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:SecureRemotePassword"`
`public static final String`
`TELEPHONY_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:Telephony"`
`public static final String`
`TIME_SYNC_TOKEN_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:TimeSyncToken"`
`public static final String`
`TLS_CLIENT_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:TLSClient"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthnContextType"`
`public static final String`
`UNSPECIFIED_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified"`
`public static final String`
`X509_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:X509"`
`public static final String`
`XML_DSIG_AUTHN_CTX`
`"urn:oasis:names:tc:SAML:2.0:ac:classes:XMLDSig"`
org.opensaml.saml.saml2.core.AuthnContextClassRef
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnContextClassRef"`
org.opensaml.saml.saml2.core.AuthnContextDecl
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnContextDecl"`
org.opensaml.saml.saml2.core.AuthnContextDeclRef
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnContextDeclRef"`
org.opensaml.saml.saml2.core.AuthnQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnQuery"`
`public static final String`
`SESSION_INDEX_ATTRIB_NAME`
`"SessionIndex"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthnQueryType"`
org.opensaml.saml.saml2.core.AuthnRequest
Modifier and Type
Constant Field
Value
`public static final String`
`ASSERTION_CONSUMER_SERVICE_INDEX_ATTRIB_NAME`
`"AssertionConsumerServiceIndex"`
`public static final String`
`ASSERTION_CONSUMER_SERVICE_URL_ATTRIB_NAME`
`"AssertionConsumerServiceURL"`
`public static final String`
`ATTRIBUTE_CONSUMING_SERVICE_INDEX_ATTRIB_NAME`
`"AttributeConsumingServiceIndex"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnRequest"`
`public static final String`
`FORCE_AUTHN_ATTRIB_NAME`
`"ForceAuthn"`
`public static final String`
`IS_PASSIVE_ATTRIB_NAME`
`"IsPassive"`
`public static final String`
`PROTOCOL_BINDING_ATTRIB_NAME`
`"ProtocolBinding"`
`public static final String`
`PROVIDER_NAME_ATTRIB_NAME`
`"ProviderName"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthnRequestType"`
org.opensaml.saml.saml2.core.AuthnStatement
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHN_INSTANT_ATTRIB_NAME`
`"AuthnInstant"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnStatement"`
`public static final String`
`SESSION_INDEX_ATTRIB_NAME`
`"SessionIndex"`
`public static final String`
`SESSION_NOT_ON_OR_AFTER_ATTRIB_NAME`
`"SessionNotOnOrAfter"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthnStatementType"`
org.opensaml.saml.saml2.core.AuthzDecisionQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthzDecisionQuery"`
`public static final String`
`RESOURCE_ATTRIB_NAME`
`"Resource"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthzDecisionQueryType"`
org.opensaml.saml.saml2.core.AuthzDecisionStatement
Modifier and Type
Constant Field
Value
`public static final String`
`DECISION_ATTRIB_NAME`
`"Decision"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthzDecisionStatement"`
`public static final String`
`RESOURCE_ATTRIB_NAME`
`"Resource"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthzDecisionStatementType"`
org.opensaml.saml.saml2.core.BaseID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"BaseID"`
`public static final String`
`NAME_QUALIFIER_ATTRIB_NAME`
`"NameQualifier"`
`public static final String`
`SP_NAME_QUALIFIER_ATTRIB_NAME`
`"SPNameQualifier"`
`public static final String`
`TYPE_LOCAL_NAME`
`"BaseIDAbstractType"`
org.opensaml.saml.saml2.core.Condition
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Condition"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ConditionAbstractType"`
org.opensaml.saml.saml2.core.Conditions
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Conditions"`
`public static final String`
`NOT_BEFORE_ATTRIB_NAME`
`"NotBefore"`
`public static final String`
`NOT_ON_OR_AFTER_ATTRIB_NAME`
`"NotOnOrAfter"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ConditionsType"`
org.opensaml.saml.saml2.core.EncryptedAssertion
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptedAssertion"`
org.opensaml.saml.saml2.core.EncryptedAttribute
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptedAttribute"`
org.opensaml.saml.saml2.core.EncryptedElementType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptedElementType"`
org.opensaml.saml.saml2.core.EncryptedID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptedID"`
org.opensaml.saml.saml2.core.Evidence
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Evidence"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EvidenceType"`
org.opensaml.saml.saml2.core.Extensions
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Extensions"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ExtensionsType"`
org.opensaml.saml.saml2.core.GetComplete
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"GetComplete"`
org.opensaml.saml.saml2.core.IDPEntry
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"IDPEntry"`
`public static final String`
`LOC_ATTRIB_NAME`
`"Loc"`
`public static final String`
`NAME_ATTRIB_NAME`
`"Name"`
`public static final String`
`PROVIDER_ID_ATTRIB_NAME`
`"ProviderID"`
`public static final String`
`TYPE_LOCAL_NAME`
`"IDPEntryType"`
org.opensaml.saml.saml2.core.IDPList
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"IDPList"`
`public static final String`
`TYPE_LOCAL_NAME`
`"IDPListType"`
org.opensaml.saml.saml2.core.Issuer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Issuer"`
`public static final String`
`TYPE_LOCAL_NAME`
`"IssuerType"`
org.opensaml.saml.saml2.core.KeyInfoConfirmationDataType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyInfoConfirmationDataType"`
org.opensaml.saml.saml2.core.LogoutRequest
Modifier and Type
Constant Field
Value
`public static final String`
`ADMIN_REASON`
`"urn:oasis:names:tc:SAML:2.0:logout:admin"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"LogoutRequest"`
`public static final String`
`GLOBAL_TIMEOUT_REASON`
`"urn:oasis:names:tc:SAML:2.0:logout:global-timeout"`
`public static final String`
`NOT_ON_OR_AFTER_ATTRIB_NAME`
`"NotOnOrAfter"`
`public static final String`
`REASON_ATTRIB_NAME`
`"Reason"`
`public static final String`
`SP_TIMEOUT_REASON`
`"urn:oasis:names:tc:SAML:2.0:logout:sp-timeout"`
`public static final String`
`TYPE_LOCAL_NAME`
`"LogoutRequestType"`
`public static final String`
`USER_REASON`
`"urn:oasis:names:tc:SAML:2.0:logout:user"`
org.opensaml.saml.saml2.core.LogoutResponse
Modifier and Type
Constant Field
Value
`public static final String`
`ADMIN_LOGOUT_URI`
`"urn:oasis:names:tc:SAML:2.0:logout:admin"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"LogoutResponse"`
`public static final String`
`GLOBAL_TIMEOUT_URI`
`"urn:oasis:names:tc:SAML:2.0:logout:global-timeout"`
`public static final String`
`SP_TIMEOUT_URI`
`"urn:oasis:names:tc:SAML:2.0:logout:sp-timeout"`
`public static final String`
`TYPE_LOCAL_NAME`
`"LogoutResponseType"`
`public static final String`
`USER_LOGOUT_URI`
`"urn:oasis:names:tc:SAML:2.0:logout:user"`
org.opensaml.saml.saml2.core.ManageNameIDRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ManageNameIDRequest"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ManageNameIDRequestType"`
org.opensaml.saml.saml2.core.ManageNameIDResponse
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ManageNameIDResponse"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ManageNameIDResponseType"`
org.opensaml.saml.saml2.core.NameID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NameID"`
`public static final String`
`TYPE_LOCAL_NAME`
`"NameIDType"`
org.opensaml.saml.saml2.core.NameIDMappingRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NameIDMappingRequest"`
`public static final String`
`TYPE_LOCAL_NAME`
`"NameIDMappingRequestType"`
org.opensaml.saml.saml2.core.NameIDMappingResponse
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NameIDMappingResponse"`
`public static final String`
`TYPE_LOCAL_NAME`
`"NameIDMappingResponseType"`
org.opensaml.saml.saml2.core.NameIDPolicy
Modifier and Type
Constant Field
Value
`public static final String`
`ALLOW_CREATE_ATTRIB_NAME`
`"AllowCreate"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NameIDPolicy"`
`public static final String`
`FORMAT_ATTRIB_NAME`
`"Format"`
`public static final String`
`SP_NAME_QUALIFIER_ATTRIB_NAME`
`"SPNameQualifier"`
`public static final String`
`TYPE_LOCAL_NAME`
`"NameIDPolicyType"`
org.opensaml.saml.saml2.core.NameIDType
Modifier and Type
Constant Field
Value
`public static final String`
`EMAIL`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress"`
`public static final String`
`ENCRYPTED`
`"urn:oasis:names:tc:SAML:2.0:nameid-format:encrypted"`
`public static final String`
`ENTITY`
`"urn:oasis:names:tc:SAML:2.0:nameid-format:entity"`
`public static final String`
`FORMAT_ATTRIB_NAME`
`"Format"`
`public static final String`
`KERBEROS`
`"urn:oasis:names:tc:SAML:2.0:nameid-format:kerberos"`
`public static final String`
`NAME_QUALIFIER_ATTRIB_NAME`
`"NameQualifier"`
`public static final String`
`PERSISTENT`
`"urn:oasis:names:tc:SAML:2.0:nameid-format:persistent"`
`public static final String`
`SP_NAME_QUALIFIER_ATTRIB_NAME`
`"SPNameQualifier"`
`public static final String`
`SPPROVIDED_ID_ATTRIB_NAME`
`"SPProvidedID"`
`public static final String`
`TRANSIENT`
`"urn:oasis:names:tc:SAML:2.0:nameid-format:transient"`
`public static final String`
`UNSPECIFIED`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:unspecified"`
`public static final String`
`WIN_DOMAIN_QUALIFIED`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:WindowsDomainQualifiedName"`
`public static final String`
`X509_SUBJECT`
`"urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName"`
org.opensaml.saml.saml2.core.NewEncryptedID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NewEncryptedID"`
org.opensaml.saml.saml2.core.NewID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NewID"`
org.opensaml.saml.saml2.core.OneTimeUse
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"OneTimeUse"`
`public static final String`
`TYPE_LOCAL_NAME`
`"OneTimeUseType"`
org.opensaml.saml.saml2.core.ProxyRestriction
Modifier and Type
Constant Field
Value
`public static final String`
`COUNT_ATTRIB_NAME`
`"Count"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ProxyRestriction"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ProxyRestrictionType"`
org.opensaml.saml.saml2.core.RequestAbstractType
Modifier and Type
Constant Field
Value
`public static final String`
`CONSENT_ATTRIB_NAME`
`"Consent"`
`public static final String`
`DESTINATION_ATTRIB_NAME`
`"Destination"`
`public static final String`
`EXPLICIT_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:current-explicit"`
`public static final String`
`ID_ATTRIB_NAME`
`"ID"`
`public static final String`
`IMPLICIT_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:current-implicit"`
`public static final String`
`INAPPLICABLE_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:inapplicable"`
`public static final String`
`ISSUE_INSTANT_ATTRIB_NAME`
`"IssueInstant"`
`public static final String`
`OBTAINED_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:obtained"`
`public static final String`
`PRIOR_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:prior"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestAbstractType"`
`public static final String`
`UNAVAILABLE_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:unavailable"`
`public static final String`
`UNSPECIFIED_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:unspecified"`
`public static final String`
`VERSION_ATTRIB_NAME`
`"Version"`
org.opensaml.saml.saml2.core.RequestedAuthnContext
Modifier and Type
Constant Field
Value
`public static final String`
`COMPARISON_ATTRIB_NAME`
`"Comparison"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequestedAuthnContext"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedAuthnContextType"`
org.opensaml.saml.saml2.core.RequesterID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequesterID"`
org.opensaml.saml.saml2.core.Response
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Response"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ResponseType"`
org.opensaml.saml.saml2.core.Scoping
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Scoping"`
`public static final String`
`PROXY_COUNT_ATTRIB_NAME`
`"ProxyCount"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ScopingType"`
org.opensaml.saml.saml2.core.SessionIndex
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SessionIndex"`
org.opensaml.saml.saml2.core.Statement
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Statement"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatementAbstractType"`
org.opensaml.saml.saml2.core.Status
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Status"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusType"`
org.opensaml.saml.saml2.core.StatusCode
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHN_FAILED`
`"urn:oasis:names:tc:SAML:2.0:status:AuthnFailed"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusCode"`
`public static final String`
`INVALID_ATTR_NAME_OR_VALUE`
`"urn:oasis:names:tc:SAML:2.0:status:InvalidAttrNameOrValue"`
`public static final String`
`INVALID_NAMEID_POLICY`
`"urn:oasis:names:tc:SAML:2.0:status:InvalidNameIDPolicy"`
`public static final String`
`NO_AUTHN_CONTEXT`
`"urn:oasis:names:tc:SAML:2.0:status:NoAuthnContext"`
`public static final String`
`NO_AVAILABLE_IDP`
`"urn:oasis:names:tc:SAML:2.0:status:NoAvailableIDP"`
`public static final String`
`NO_PASSIVE`
`"urn:oasis:names:tc:SAML:2.0:status:NoPassive"`
`public static final String`
`NO_SUPPORTED_IDP`
`"urn:oasis:names:tc:SAML:2.0:status:NoSupportedIDP"`
`public static final String`
`PARTIAL_LOGOUT`
`"urn:oasis:names:tc:SAML:2.0:status:PartialLogout"`
`public static final String`
`PROXY_COUNT_EXCEEDED`
`"urn:oasis:names:tc:SAML:2.0:status:ProxyCountExceeded"`
`public static final String`
`REQUEST_DENIED`
`"urn:oasis:names:tc:SAML:2.0:status:RequestDenied"`
`public static final String`
`REQUEST_UNSUPPORTED`
`"urn:oasis:names:tc:SAML:2.0:status:RequestUnsupported"`
`public static final String`
`REQUEST_VERSION_DEPRECATED`
`"urn:oasis:names:tc:SAML:2.0:status:RequestVersionDeprecated"`
`public static final String`
`REQUEST_VERSION_TOO_HIGH`
`"urn:oasis:names:tc:SAML:2.0:status:RequestVersionTooHigh"`
`public static final String`
`REQUEST_VERSION_TOO_LOW`
`"urn:oasis:names:tc:SAML:2.0:status:RequestVersionTooLow"`
`public static final String`
`REQUESTER`
`"urn:oasis:names:tc:SAML:2.0:status:Requester"`
`public static final String`
`RESOURCE_NOT_RECOGNIZED`
`"urn:oasis:names:tc:SAML:2.0:status:ResourceNotRecognized"`
`public static final String`
`RESPONDER`
`"urn:oasis:names:tc:SAML:2.0:status:Responder"`
`public static final String`
`SUCCESS`
`"urn:oasis:names:tc:SAML:2.0:status:Success"`
`public static final String`
`TOO_MANY_RESPONSES`
`"urn:oasis:names:tc:SAML:2.0:status:TooManyResponses"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusCodeType"`
`public static final String`
`UNKNOWN_ATTR_PROFILE`
`"urn:oasis:names:tc:SAML:2.0:status:UnknownAttrProfile"`
`public static final String`
`UNKNOWN_PRINCIPAL`
`"urn:oasis:names:tc:SAML:2.0:status:UnknownPrincipal"`
`public static final String`
`UNSUPPORTED_BINDING`
`"urn:oasis:names:tc:SAML:2.0:status:UnsupportedBinding"`
`public static final String`
`VALUE_ATTRIB_NAME`
`"Value"`
`public static final String`
`VERSION_MISMATCH`
`"urn:oasis:names:tc:SAML:2.0:status:VersionMismatch"`
org.opensaml.saml.saml2.core.StatusDetail
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusDetail"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusDetailType"`
org.opensaml.saml.saml2.core.StatusMessage
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusMessage"`
org.opensaml.saml.saml2.core.StatusResponseType
Modifier and Type
Constant Field
Value
`public static final String`
`CONSENT_ATTRIB_NAME`
`"Consent"`
`public static final String`
`DESTINATION_ATTRIB_NAME`
`"Destination"`
`public static final String`
`EXPLICIT_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:current-explicit"`
`public static final String`
`ID_ATTRIB_NAME`
`"ID"`
`public static final String`
`IMPLICIT_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:current-implicit"`
`public static final String`
`IN_RESPONSE_TO_ATTRIB_NAME`
`"InResponseTo"`
`public static final String`
`INAPPLICABLE_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:inapplicable"`
`public static final String`
`ISSUE_INSTANT_ATTRIB_NAME`
`"IssueInstant"`
`public static final String`
`OBTAINED_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:obtained"`
`public static final String`
`PRIOR_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:prior"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusResponseType"`
`public static final String`
`UNAVAILABLE_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:unavailable"`
`public static final String`
`UNSPECIFIED_CONSENT`
`"urn:oasis:names:tc:SAML:2.0:consent:unspecified"`
`public static final String`
`VERSION_ATTRIB_NAME`
`"Version"`
org.opensaml.saml.saml2.core.Subject
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Subject"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectType"`
org.opensaml.saml.saml2.core.SubjectConfirmation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectConfirmation"`
`public static final String`
`METHOD_ATTRIB_NAME`
`"Method"`
`public static final String`
`METHOD_BEARER`
`"urn:oasis:names:tc:SAML:2.0:cm:bearer"`
`public static final String`
`METHOD_HOLDER_OF_KEY`
`"urn:oasis:names:tc:SAML:2.0:cm:holder-of-key"`
`public static final String`
`METHOD_SENDER_VOUCHES`
`"urn:oasis:names:tc:SAML:2.0:cm:sender-vouches"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectConfirmationType"`
org.opensaml.saml.saml2.core.SubjectConfirmationData
Modifier and Type
Constant Field
Value
`public static final String`
`ADDRESS_ATTRIB_NAME`
`"Address"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectConfirmationData"`
`public static final String`
`IN_RESPONSE_TO_ATTRIB_NAME`
`"InResponseTo"`
`public static final String`
`NOT_BEFORE_ATTRIB_NAME`
`"NotBefore"`
`public static final String`
`NOT_ON_OR_AFTER_ATTRIB_NAME`
`"NotOnOrAfter"`
`public static final String`
`RECIPIENT_ATTRIB_NAME`
`"Recipient"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectConfirmationDataType"`
org.opensaml.saml.saml2.core.SubjectLocality
Modifier and Type
Constant Field
Value
`public static final String`
`ADDRESS_ATTRIB_NAME`
`"Address"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectLocality"`
`public static final String`
`DNS_NAME_ATTRIB_NAME`
`"DNSName"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectLocalityType"`
org.opensaml.saml.saml2.core.SubjectQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectQuery"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectQueryAbstractType"`
org.opensaml.saml.saml2.core.Terminate
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Terminate"`
`public static final String`
`TYPE_LOCAL_NAME`
`"TerminateType"`

org.opensaml.saml.saml2.ecp.RelayState
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RelayState"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RelayStateType"`
org.opensaml.saml.saml2.ecp.Request
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Request"`
`public static final String`
`IS_PASSIVE_NAME_ATTRIB_NAME`
`"IsPassive"`
`public static final String`
`PROVIDER_NAME_ATTRIB_NAME`
`"ProviderName"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestType"`
org.opensaml.saml.saml2.ecp.RequestAuthenticated
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequestAuthenticated"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestAuthenticatedType"`
org.opensaml.saml.saml2.ecp.Response
Modifier and Type
Constant Field
Value
`public static final String`
`ASSERTION_CONSUMER_SERVICE_URL_ATTRIB_NAME`
`"AssertionConsumerServiceURL"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Response"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ResponseType"`
org.opensaml.saml.saml2.ecp.SubjectConfirmation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectConfirmation"`
`public static final String`
`METHOD_ATTRIB_NAME`
`"Method"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectConfirmationType"`

org.opensaml.saml.saml2.metadata.AdditionalMetadataLocation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AdditionalMetadataLocation"`
`public static final String`
`NAMESPACE_ATTRIB_NAME`
`"namespace"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AdditionalMetadataLocationType"`
org.opensaml.saml.saml2.metadata.AffiliateMember
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AffiliateMember"`
`public static final String`
`TYPE_LOCAL_NAME`
`"entityIDType"`
org.opensaml.saml.saml2.metadata.AffiliationDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AffiliationDescriptor"`
`public static final String`
`ID_ATTRIB_NAME`
`"ID"`
`public static final String`
`OWNER_ID_ATTRIB_NAME`
`"affiliationOwnerID"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AffiliationDescriptorType"`
org.opensaml.saml.saml2.metadata.ArtifactResolutionService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ArtifactResolutionService"`
org.opensaml.saml.saml2.metadata.AssertionConsumerService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AssertionConsumerService"`
org.opensaml.saml.saml2.metadata.AssertionIDRequestService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AssertionIDRequestService"`
org.opensaml.saml.saml2.metadata.AttributeAuthorityDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeAuthorityDescriptor"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeAuthorityDescriptorType"`
org.opensaml.saml.saml2.metadata.AttributeConsumingService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeConsumingService"`
`public static final String`
`INDEX_ATTRIB_NAME`
`"index"`
`public static final String`
`IS_DEFAULT_ATTRIB_NAME`
`"isDefault"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeConsumingServiceType"`
org.opensaml.saml.saml2.metadata.AttributeProfile
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeProfile"`
org.opensaml.saml.saml2.metadata.AttributeService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeService"`
org.opensaml.saml.saml2.metadata.AuthnAuthorityDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnAuthorityDescriptor"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthnAuthorityDescriptorType"`
org.opensaml.saml.saml2.metadata.AuthnQueryService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthnQueryService"`
org.opensaml.saml.saml2.metadata.AuthzService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AuthzService"`
org.opensaml.saml.saml2.metadata.Company
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Company"`
org.opensaml.saml.saml2.metadata.ContactPerson
Modifier and Type
Constant Field
Value
`public static final String`
`CONTACT_TYPE_ATTRIB_NAME`
`"contactType"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ContactPerson"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ContactPersonType"`
org.opensaml.saml.saml2.metadata.EmailAddress
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EmailAddress"`
org.opensaml.saml.saml2.metadata.EncryptionMethod
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptionMethod"`
org.opensaml.saml.saml2.metadata.Endpoint
Modifier and Type
Constant Field
Value
`public static final String`
`BINDING_ATTRIB_NAME`
`"Binding"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Endpoint"`
`public static final String`
`LOCATION_ATTRIB_NAME`
`"Location"`
`public static final String`
`RESPONSE_LOCATION_ATTRIB_NAME`
`"ResponseLocation"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EndpointType"`
org.opensaml.saml.saml2.metadata.EntitiesDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EntitiesDescriptor"`
`public static final String`
`ID_ATTRIB_NAME`
`"ID"`
`public static final String`
`NAME_ATTRIB_NAME`
`"Name"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EntitiesDescriptorType"`
org.opensaml.saml.saml2.metadata.EntityDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EntityDescriptor"`
`public static final String`
`ENTITY_ID_ATTRIB_NAME`
`"entityID"`
`public static final String`
`ID_ATTRIB_NAME`
`"ID"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EntityDescriptorType"`
org.opensaml.saml.saml2.metadata.Extensions
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Extensions"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ExtensionsType"`
org.opensaml.saml.saml2.metadata.GivenName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"GivenName"`
org.opensaml.saml.saml2.metadata.IDPSSODescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"IDPSSODescriptor"`
`public static final String`
`TYPE_LOCAL_NAME`
`"IDPSSODescriptorType"`
`public static final String`
`WANT_AUTHN_REQ_SIGNED_ATTRIB_NAME`
`"WantAuthnRequestsSigned"`
org.opensaml.saml.saml2.metadata.IndexedEndpoint
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"IndexedEndpoint"`
`public static final String`
`INDEX_ATTRIB_NAME`
`"index"`
`public static final String`
`IS_DEFAULT_ATTRIB_NAME`
`"isDefault"`
`public static final String`
`TYPE_LOCAL_NAME`
`"IndexedEndpointType"`
org.opensaml.saml.saml2.metadata.KeyDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyDescriptor"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyDescriptorType"`
`public static final String`
`USE_ATTRIB_NAME`
`"use"`
org.opensaml.saml.saml2.metadata.LocalizedName
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"localizedNameType"`
org.opensaml.saml.saml2.metadata.LocalizedURI
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"localizedURIType"`
org.opensaml.saml.saml2.metadata.ManageNameIDService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ManageNameIDService"`
org.opensaml.saml.saml2.metadata.NameIDFormat
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NameIDFormat"`
org.opensaml.saml.saml2.metadata.NameIDMappingService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NameIDMappingService"`
org.opensaml.saml.saml2.metadata.Organization
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Organization"`
`public static final String`
`TYPE_LOCAL_NAME`
`"OrganizationType"`
org.opensaml.saml.saml2.metadata.OrganizationDisplayName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"OrganizationDisplayName"`
org.opensaml.saml.saml2.metadata.OrganizationName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"OrganizationName"`
org.opensaml.saml.saml2.metadata.OrganizationURL
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"OrganizationURL"`
org.opensaml.saml.saml2.metadata.PDPDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PDPDescriptor"`
`public static final String`
`TYPE_LOCAL_NAME`
`"PDPDescriptorType"`
org.opensaml.saml.saml2.metadata.RequestedAttribute
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequestedAttribute"`
`public static final String`
`IS_REQUIRED_ATTRIB_NAME`
`"isRequired"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedAttributeType"`
org.opensaml.saml.saml2.metadata.RoleDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RoleDescriptor"`
`public static final String`
`ERROR_URL_ATTRIB_NAME`
`"errorURL"`
`public static final String`
`ID_ATTRIB_NAME`
`"ID"`
`public static final String`
`PROTOCOL_ENUMERATION_ATTRIB_NAME`
`"protocolSupportEnumeration"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RoleDescriptorType"`
org.opensaml.saml.saml2.metadata.ServiceDescription
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ServiceDescription"`
org.opensaml.saml.saml2.metadata.ServiceName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ServiceName"`
org.opensaml.saml.saml2.metadata.SingleLogoutService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SingleLogoutService"`
org.opensaml.saml.saml2.metadata.SingleSignOnService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SingleSignOnService"`
org.opensaml.saml.saml2.metadata.SPSSODescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`AUTH_REQUESTS_SIGNED_ATTRIB_NAME`
`"AuthnRequestsSigned"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SPSSODescriptor"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SPSSODescriptorType"`
`public static final String`
`WANT_ASSERTIONS_SIGNED_ATTRIB_NAME`
`"WantAssertionsSigned"`
org.opensaml.saml.saml2.metadata.SSODescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SSODescriptor"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SSODescriptorType"`
org.opensaml.saml.saml2.metadata.SurName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SurName"`
org.opensaml.saml.saml2.metadata.TelephoneNumber
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"TelephoneNumber"`

org.opensaml.saml.saml2.testing.SAML2ActionTestingSupport
Modifier and Type
Constant Field
Value
`public static final String`
`ASSERTION_ID`
`"assertion"`
`public static final String`
`REQUEST_ID`
`"request"`
`public static final String`
`RESPONSE_ID`
`"response"`

org.opensaml.security.SecurityException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`485895728446891757L`

org.opensaml.security.config.GlobalNamedCurveRegistryInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROPERTY_REGISTER_BOUNCY_CASTLE_CURVES`
`"opensaml.config.ec.registerBouncyCastleCurves"`

org.opensaml.security.credential.criteria.impl.EvaluableCredentialCriteriaRegistry
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_MAPPINGS_FILE`
`"/credential-criteria-registry.properties"`

org.opensaml.security.crypto.JCAConstants
Modifier and Type
Constant Field
Value
`public static final String`
`CIPHER_MODE_CBC`
`"CBC"`
`public static final String`
`CIPHER_MODE_ECB`
`"ECB"`
`public static final String`
`CIPHER_MODE_GCM`
`"GCM"`
`public static final String`
`CIPHER_PADDING_ISO10126`
`"ISO10126Padding"`
`public static final String`
`CIPHER_PADDING_NONE`
`"NoPadding"`
`public static final String`
`CIPHER_PADDING_OAEP`
`"OAEPPadding"`
`public static final String`
`CIPHER_PADDING_PKCS1`
`"PKCS1Padding"`
`public static final String`
`DIGEST_MD5`
`"MD5"`
`public static final String`
`DIGEST_RIPEMD160`
`"RIPEMD160"`
`public static final String`
`DIGEST_SHA1`
`"SHA-1"`
`public static final String`
`DIGEST_SHA224`
`"SHA-224"`
`public static final String`
`DIGEST_SHA256`
`"SHA-256"`
`public static final String`
`DIGEST_SHA3_224`
`"SHA3-224"`
`public static final String`
`DIGEST_SHA3_256`
`"SHA3-256"`
`public static final String`
`DIGEST_SHA3_384`
`"SHA3-384"`
`public static final String`
`DIGEST_SHA3_512`
`"SHA3-512"`
`public static final String`
`DIGEST_SHA384`
`"SHA-384"`
`public static final String`
`DIGEST_SHA512`
`"SHA-512"`
`public static final String`
`HMAC_MD5`
`"HmacMD5"`
`public static final String`
`HMAC_RIPEMD160`
`"HMACRIPEMD160"`
`public static final String`
`HMAC_SHA1`
`"HmacSHA1"`
`public static final String`
`HMAC_SHA224`
`"HmacSHA224"`
`public static final String`
`HMAC_SHA256`
`"HmacSHA256"`
`public static final String`
`HMAC_SHA384`
`"HmacSHA384"`
`public static final String`
`HMAC_SHA512`
`"HmacSHA512"`
`public static final String`
`KEY_AGREEMENT_DH`
`"DiffieHellman"`
`public static final String`
`KEY_AGREEMENT_ECDH`
`"ECDH"`
`public static final String`
`KEY_ALGO_AES`
`"AES"`
`public static final String`
`KEY_ALGO_DES`
`"DES"`
`public static final String`
`KEY_ALGO_DESEDE`
`"DESede"`
`public static final String`
`KEY_ALGO_DH`
`"DH"`
`public static final String`
`KEY_ALGO_DIFFIE_HELLMAN`
`"DiffieHellman"`
`public static final String`
`KEY_ALGO_DSA`
`"DSA"`
`public static final String`
`KEY_ALGO_EC`
`"EC"`
`public static final String`
`KEY_ALGO_RSA`
`"RSA"`
`public static final String`
`KEY_FORMAT_RAW`
`"RAW"`
`public static final String`
`KEYWRAP_ALGO_AES`
`"AESWrap"`
`public static final String`
`KEYWRAP_ALGO_DESEDE`
`"DESedeWrap"`
`public static final String`
`SIGNATURE_DSA_SHA1`
`"SHA1withDSA"`
`public static final String`
`SIGNATURE_DSA_SHA224`
`"SHA224withDSA"`
`public static final String`
`SIGNATURE_DSA_SHA256`
`"SHA256withDSA"`
`public static final String`
`SIGNATURE_ECDSA_SHA1`
`"SHA1withECDSA"`
`public static final String`
`SIGNATURE_ECDSA_SHA224`
`"SHA224withECDSA"`
`public static final String`
`SIGNATURE_ECDSA_SHA256`
`"SHA256withECDSA"`
`public static final String`
`SIGNATURE_ECDSA_SHA384`
`"SHA384withECDSA"`
`public static final String`
`SIGNATURE_ECDSA_SHA512`
`"SHA512withECDSA"`
`public static final String`
`SIGNATURE_RSA_MD5`
`"MD5withRSA"`
`public static final String`
`SIGNATURE_RSA_RIPEMD160`
`"RIPEMD160withRSA"`
`public static final String`
`SIGNATURE_RSA_SHA1`
`"SHA1withRSA"`
`public static final String`
`SIGNATURE_RSA_SHA1_MGF1`
`"SHA1withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA224`
`"SHA224withRSA"`
`public static final String`
`SIGNATURE_RSA_SHA224_MGF1`
`"SHA224withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA256`
`"SHA256withRSA"`
`public static final String`
`SIGNATURE_RSA_SHA256_MGF1`
`"SHA256withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA3_224_MGF1`
`"SHA3-224withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA3_256_MGF1`
`"SHA3-256withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA3_384_MGF1`
`"SHA3-384withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA3_512_MGF1`
`"SHA3-512withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA384`
`"SHA384withRSA"`
`public static final String`
`SIGNATURE_RSA_SHA384_MGF1`
`"SHA384withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SHA512`
`"SHA512withRSA"`
`public static final String`
`SIGNATURE_RSA_SHA512_MGF1`
`"SHA512withRSAandMGF1"`
`public static final String`
`SIGNATURE_RSA_SSA_PSS`
`"RSASSA-PSS"`

org.opensaml.security.httpclient.HttpClientSecurityConstants
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_KEY_CLIENT_TLS_CREDENTIAL`
`"opensaml.ClientTLSCredential"`
`public static final String`
`CONTEXT_KEY_CRITERIA_SET`
`"opensaml.CriteriaSet"`
`public static final String`
`CONTEXT_KEY_HOSTNAME_VERIFIER`
`"javasupport.HostnameVerifier"`
`public static final String`
`CONTEXT_KEY_SERVER_TLS_CREDENTIAL_TRUSTED`
`"opensaml.ServerTLSCredentialTrusted"`
`public static final String`
`CONTEXT_KEY_SERVER_TLS_FAILURE_IS_FATAL`
`"opensaml.ServerTLSFailureIsFatal"`
`public static final String`
`CONTEXT_KEY_TLS_CIPHER_SUITES`
`"javasupport.TLSCipherSuites"`
`public static final String`
`CONTEXT_KEY_TLS_PROTOCOLS`
`"javasupport.TLSProtocols"`
`public static final String`
`CONTEXT_KEY_TRUST_ENGINE`
`"opensaml.TrustEngine"`

org.opensaml.security.messaging.ServletRequestX509CredentialAdapter
Modifier and Type
Constant Field
Value
`public static final String`
`JAKARTA_X509_CERT_REQUEST_ATTRIBUTE`
`"jakarta.servlet.request.X509Certificate"`
`public static final String`
`X509_CERT_REQUEST_ATTRIBUTE`
`"javax.servlet.request.X509Certificate"`

org.opensaml.security.testing.SecurityProviderTestSupport
Modifier and Type
Constant Field
Value
`public static final String`
`BC_PROVIDER_NAME`
`"BC"`
`public static final String`
`SUNEC_PROVIDER_NAME`
`"SunEC"`

org.opensaml.security.x509.X500DNHandler
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_RFC1779`
`"RFC1779"`
`public static final String`
`FORMAT_RFC2253`
`"RFC2253"`
org.opensaml.security.x509.X509Support
Modifier and Type
Constant Field
Value
`public static final String`
`CN_OID`
`"2.5.4.3"`
`public static final String`
`SKI_OID`
`"2.5.29.14"`

org.opensaml.soap.client.SOAPClientException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`6203715340959992457L`
org.opensaml.soap.client.SOAPFaultException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`4770411452264097320L`

org.opensaml.soap.client.http.HttpSOAPRequestParameters
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP_ACTION_HEADER`
`"SOAPAction"`

org.opensaml.soap.common.SOAP11FaultDecodingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7013840493662326895L`
org.opensaml.soap.common.SOAPException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`1374150092262909937L`

org.opensaml.soap.config.impl.SOAPConfigurationInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROP_PREFIX_DECODE`
`"opensaml.config.decode.soap"`
`public static final String`
`CONFIG_PROPERTY_ENFORCE_SIZE_LIMIT`
`"opensaml.config.decode.soap.enforceSizeLimit"`
`public static final String`
`CONFIG_PROPERTY_SIZE_LIMIT`
`"opensaml.config.decode.soap.sizeLimit"`
`public static final String`
`ENFORCE_SIZE_LIMIT_DEFAULT`
`"false"`
`public static final String`
`SIZE_LIMIT_DEFAULT`
`"2097152"`

org.opensaml.soap.soap11.ActorBearing
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP11_ACTOR_ATTR_LOCAL_NAME`
`"actor"`
`public static final String`
`SOAP11_ACTOR_NEXT`
`"http://schemas.xmlsoap.org/soap/actor/next"`
org.opensaml.soap.soap11.Body
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Body"`
`public static final String`
`TYPE_LOCAL_NAME`
`"Body"`
org.opensaml.soap.soap11.Detail
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"detail"`
`public static final String`
`TYPE_LOCAL_NAME`
`"detail"`
org.opensaml.soap.soap11.EncodingStyleBearing
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP11_ENCODING_STYLE_ATTR_LOCAL_NAME`
`"encodingStyle"`
org.opensaml.soap.soap11.Envelope
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Envelope"`
`public static final String`
`TYPE_LOCAL_NAME`
`"Envelope"`
org.opensaml.soap.soap11.Fault
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Fault"`
`public static final String`
`TYPE_LOCAL_NAME`
`"Fault"`
org.opensaml.soap.soap11.FaultActor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"faultactor"`
org.opensaml.soap.soap11.FaultCode
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"faultcode"`
org.opensaml.soap.soap11.FaultString
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"faultstring"`
org.opensaml.soap.soap11.Header
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Header"`
`public static final String`
`TYPE_LOCAL_NAME`
`"Header"`
org.opensaml.soap.soap11.MustUnderstandBearing
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME`
`"mustUnderstand"`

org.opensaml.soap.soap12.EncodingStyleBearing
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP12_ENCODING_STYLE_ATTR_LOCAL_NAME`
`"encodingStyle"`
org.opensaml.soap.soap12.MustUnderstandBearing
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP12_MUST_UNDERSTAND_ATTR_LOCAL_NAME`
`"mustUnderstand"`
org.opensaml.soap.soap12.RelayBearing
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP12_RELAY_ATTR_LOCAL_NAME`
`"relay"`
org.opensaml.soap.soap12.RoleBearing
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP12_ROLE_ATTR_LOCAL_NAME`
`"role"`

org.opensaml.soap.util.SOAPConstants
Modifier and Type
Constant Field
Value
`public static final String`
`SOAP11_NS`
`"http://schemas.xmlsoap.org/soap/envelope/"`
`public static final String`
`SOAP11_PREFIX`
`"soap11"`
`public static final String`
`SOAP12_NS`
`"http://www.w3.org/2003/05/soap-envelope"`
`public static final String`
`SOAP12_PREFIX`
`"soap12"`

org.opensaml.soap.wsaddressing.Action
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Action"`
org.opensaml.soap.wsaddressing.Address
Modifier and Type
Constant Field
Value
`public static final String`
`ANONYMOUS`
`"http://www.w3.org/2005/08/addressing/anonymous"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Address"`
`public static final String`
`NONE`
`"http://www.w3.org/2005/08/addressing/none"`
org.opensaml.soap.wsaddressing.AttributedQName
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributedQNameType"`
org.opensaml.soap.wsaddressing.AttributedUnsignedLong
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributedUnsignedLongType"`
org.opensaml.soap.wsaddressing.AttributedURI
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributedURIType"`
org.opensaml.soap.wsaddressing.EndpointReference
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"EndpointReference"`
org.opensaml.soap.wsaddressing.EndpointReferenceType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"EndpointReferenceType"`
org.opensaml.soap.wsaddressing.FaultTo
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"FaultTo"`
org.opensaml.soap.wsaddressing.From
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"From"`
org.opensaml.soap.wsaddressing.IsReferenceParameterBearing
Modifier and Type
Constant Field
Value
`public static final String`
`WSA_IS_REFERENCE_PARAMETER_ATTR_LOCAL_NAME`
`"IsReferenceParameter"`
org.opensaml.soap.wsaddressing.MessageID
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"MessageID"`
org.opensaml.soap.wsaddressing.Metadata
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Metadata"`
`public static final String`
`TYPE_LOCAL_NAME`
`"MetadataType"`
org.opensaml.soap.wsaddressing.ProblemAction
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ProblemAction"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ProblemActionType"`
org.opensaml.soap.wsaddressing.ProblemHeaderQName
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ProblemHeaderQName"`
org.opensaml.soap.wsaddressing.ProblemIRI
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ProblemIRI"`
org.opensaml.soap.wsaddressing.ReferenceParameters
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ReferenceParameters"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ReferenceParametersType"`
org.opensaml.soap.wsaddressing.RelatesTo
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RelatesTo"`
`public static final String`
`RELATIONSHIP_TYPE_ATTRIB_NAME`
`"RelationshipType"`
`public static final String`
`RELATIONSHIP_TYPE_REPLY`
`"http://www.w3.org/2005/08/addressing/reply"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RelatesToType"`
org.opensaml.soap.wsaddressing.ReplyTo
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ReplyTo"`
org.opensaml.soap.wsaddressing.RetryAfter
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RetryAfter"`
org.opensaml.soap.wsaddressing.SoapAction
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"SoapAction"`
org.opensaml.soap.wsaddressing.To
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"To"`
org.opensaml.soap.wsaddressing.WSAddressingConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_URI_FAULT`
`"http://www.w3.org/2005/08/addressing/fault"`
`public static final String`
`ACTION_URI_SOAP_FAULT`
`"http://www.w3.org/2005/08/addressing/soap/fault"`
`public static final String`
`WSA_NS`
`"http://www.w3.org/2005/08/addressing"`
`public static final String`
`WSA_PREFIX`
`"wsa"`

org.opensaml.soap.wsfed.Address
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Address"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AddressType"`
org.opensaml.soap.wsfed.AppliesTo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AppliesTo"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AppliesToType"`
org.opensaml.soap.wsfed.EndPointReference
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EndPointReference"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EndPointReferenceType"`
org.opensaml.soap.wsfed.RequestedSecurityToken
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequestedSecurityToken"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedSecurityTokenType"`
org.opensaml.soap.wsfed.RequestSecurityTokenResponse
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RequestSecurityTokenResponse"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestSecurityTokenResponseType"`
org.opensaml.soap.wsfed.WSFedConstants
Modifier and Type
Constant Field
Value
`public static final String`
`WSADDRESS_NS`
`"http://schemas.xmlsoap.org/ws/2004/08/addressing"`
`public static final String`
`WSADDRESS_PREFIX`
`"wsa"`
`public static final String`
`WSFED11P_NS`
`"http://schemas.xmlsoap.org/ws/2005/02/trust"`
`public static final String`
`WSFED1P_PREFIX`
`"wst"`
`public static final String`
`WSPOLICY_NS`
`"http://schemas.xmlsoap.org/ws/2004/09/policy"`
`public static final String`
`WSPOLICY_PREFIX`
`"wsp"`

org.opensaml.soap.wspolicy.All
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"All"`
org.opensaml.soap.wspolicy.AppliesTo
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"AppliesTo"`
org.opensaml.soap.wspolicy.ExactlyOne
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ExactlyOne"`
org.opensaml.soap.wspolicy.OperatorContentType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"OperatorContentType"`
org.opensaml.soap.wspolicy.OptionalBearing
Modifier and Type
Constant Field
Value
`public static final String`
`WSP_OPTIONAL_ATTR_LOCAL_NAME`
`"Optional"`
org.opensaml.soap.wspolicy.Policy
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Policy"`
`public static final String`
`NAME_ATTRIB_NAME`
`"Name"`
org.opensaml.soap.wspolicy.PolicyAttachment
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"PolicyAttachment"`
org.opensaml.soap.wspolicy.PolicyReference
Modifier and Type
Constant Field
Value
`public static final String`
`DIGEST_ALGORITHM_ATTRIB_NAME`
`"DigestAlgorithm"`
`public static final String`
`DIGEST_ALGORITHM_SHA1EXC`
`"http://schemas.xmlsoap.org/ws/2004/09/policy/Sha1Exc"`
`public static final String`
`DIGEST_ATTRIB_NAME`
`"Digest"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"PolicyReference"`
`public static final String`
`URI_ATTRIB_NAME`
`"URI"`
org.opensaml.soap.wspolicy.PolicyURIsBearing
Modifier and Type
Constant Field
Value
`public static final String`
`WSP_POLICY_URIS_ATTR_LOCAL_NAME`
`"PolicyURIs"`
org.opensaml.soap.wspolicy.WSPolicyConstants
Modifier and Type
Constant Field
Value
`public static final String`
`WSP_NS`
`"http://schemas.xmlsoap.org/ws/2004/09/policy"`
`public static final String`
`WSP_PREFIX`
`"wsp"`

org.opensaml.soap.wssecurity.AttributedDateTime
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributedDateTime"`
org.opensaml.soap.wssecurity.AttributedString
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributedString"`
org.opensaml.soap.wssecurity.AttributedURI
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributedURI"`
org.opensaml.soap.wssecurity.BinarySecurityToken
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"BinarySecurityToken"`
`public static final String`
`TYPE_LOCAL_NAME`
`"BinarySecurityTokenType"`
`public static final String`
`VALUE_TYPE_ATTRIB_NAME`
`"ValueType"`
org.opensaml.soap.wssecurity.Created
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Created"`
org.opensaml.soap.wssecurity.Embedded
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Embedded"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EmbeddedType"`
`public static final String`
`VALUE_TYPE_ATTRIB_NAME`
`"ValueType"`
org.opensaml.soap.wssecurity.EncodedString
Modifier and Type
Constant Field
Value
`public static final String`
`ENCODING_TYPE_ATTRIB_NAME`
`"EncodingType"`
`public static final String`
`ENCODING_TYPE_BASE64_BINARY`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncodedString"`
org.opensaml.soap.wssecurity.EncryptedHeader
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"EncryptedHeader"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptedHeaderType"`
org.opensaml.soap.wssecurity.Expires
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Expires"`
org.opensaml.soap.wssecurity.IdBearing
Modifier and Type
Constant Field
Value
`public static final String`
`WSU_ID_ATTR_LOCAL_NAME`
`"Id"`
org.opensaml.soap.wssecurity.Iteration
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Iteration"`
`public static final String`
`TYPE_LOCAL_NAME`
`"unsignedInt"`
org.opensaml.soap.wssecurity.KeyIdentifier
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"KeyIdentifier"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyIdentifierType"`
`public static final String`
`VALUE_TYPE_ATTRIB_NAME`
`"ValueType"`
org.opensaml.soap.wssecurity.Nonce
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Nonce"`
org.opensaml.soap.wssecurity.Password
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Password"`
`public static final String`
`TYPE_ATTRIB_NAME`
`"Type"`
`public static final String`
`TYPE_PASSWORD_DIGEST`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd#PasswordDigest"`
`public static final String`
`TYPE_PASSWORD_TEXT`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd#PasswordText"`
org.opensaml.soap.wssecurity.Reference
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Reference"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ReferenceType"`
`public static final String`
`URI_ATTRIB_NAME`
`"URI"`
`public static final String`
`VALUE_TYPE_ATTRIB_NAME`
`"ValueType"`
org.opensaml.soap.wssecurity.Salt
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Salt"`
org.opensaml.soap.wssecurity.Security
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Security"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SecurityHeaderType"`
org.opensaml.soap.wssecurity.SecurityTokenReference
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"SecurityTokenReference"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SecurityTokenReferenceType"`
org.opensaml.soap.wssecurity.SignatureConfirmation
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"SignatureConfirmation"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SignatureConfirmationType"`
`public static final String`
`VALUE_ATTRIB_NAME`
`"Value"`
org.opensaml.soap.wssecurity.Timestamp
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Timestamp"`
org.opensaml.soap.wssecurity.TokenTypeBearing
Modifier and Type
Constant Field
Value
`public static final String`
`WSSE11_TOKEN_TYPE_ATTR_LOCAL_NAME`
`"TokenType"`
org.opensaml.soap.wssecurity.TransformationParameters
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"TransformationParameters"`
`public static final String`
`TYPE_LOCAL_NAME`
`"TransformationParametersType"`
org.opensaml.soap.wssecurity.UsageBearing
Modifier and Type
Constant Field
Value
`public static final String`
`WSSE_USAGE_ATTR_LOCAL_NAME`
`"Usage"`
org.opensaml.soap.wssecurity.Username
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Username"`
org.opensaml.soap.wssecurity.UsernameToken
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"UsernameToken"`
`public static final String`
`TYPE_LOCAL_NAME`
`"UsernameTokenType"`
org.opensaml.soap.wssecurity.WSSecurityConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ENCRYPTED_KEY_SHA1`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#EncryptedKeySHA1"`
`public static final String`
`GSS_KERBEROS_AP_REQ`
`"http://docs.oasis-open.org/wss/oasis-wss-kerberos-token-profile-1.1#GSS_Kerberosv5_AP_REQ"`
`public static final String`
`GSS_KERBEROS_AP_REQ_1510`
`"http://docs.oasis-open.org/wss/oasis-wss-kerberos-token-profile-1.1#GSS_Kerberosv5_AP_REQ1510"`
`public static final String`
`KERBEROS_AP_REQ`
`"http://docs.oasis-open.org/wss/oasis-wss-kerberos-token-profile-1.1#Kerberosv5_AP_REQ"`
`public static final String`
`KERBEROS_AP_REQ_1510`
`"http://docs.oasis-open.org/wss/oasis-wss-kerberos-token-profile-1.1#Kerberosv5_AP_REQ1510"`
`public static final String`
`THUMB_PRINT_SHA1`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#ThumbPrintSHA1"`
`public static final String`
`USERNAME_TOKEN`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#UsernameToken"`
`public static final String`
`WS_SECURITY_NS`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0"`
`public static final String`
`WS_SECURITY11_NS`
`"http://docs.oasis-open.org/wss/oasis-wss-soap-message-security-1.1"`
`public static final String`
`WSSE_KERBEROS_TOKEN_PROFILE_NS`
`"http://docs.oasis-open.org/wss/oasis-wss-kerberos-token-profile-1.1"`
`public static final String`
`WSSE_NS`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"`
`public static final String`
`WSSE_PREFIX`
`"wsse"`
`public static final String`
`WSSE_SAML_TOKEN_PROFILE_NS`
`"http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.0"`
`public static final String`
`WSSE_USERNAME_TOKEN_PROFILE_NS`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0"`
`public static final String`
`WSSE_X509_TOKEN_PROFILE_NS`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0"`
`public static final String`
`WSSE11_NS`
`"http://docs.oasis-open.org/wss/oasis-wss-wssecurity-secext-1.1.xsd"`
`public static final String`
`WSSE11_PREFIX`
`"wsse11"`
`public static final String`
`WSSE11_SAML_TOKEN_PROFILE_NS`
`"http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1"`
`public static final String`
`WSU_NS`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"`
`public static final String`
`WSU_PREFIX`
`"wsu"`
`public static final String`
`X509_PKCS7`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#PKCS7"`
`public static final String`
`X509_PKI_PATH_V1`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509PKIPathv1"`
`public static final String`
`X509_SUBJECT_KEY_IDENTIFIER`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509SubjectKeyIdentifier"`
`public static final String`
`X509_V1`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509v1"`
`public static final String`
`X509_V3`
`"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509v3"`

org.opensaml.soap.wstrust.AllowPostdating
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"AllowPostdating"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AllowPostdatingType"`
org.opensaml.soap.wstrust.AuthenticationType
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"AuthenticationType"`
org.opensaml.soap.wstrust.Authenticator
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Authenticator"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AuthenticatorType"`
org.opensaml.soap.wstrust.BinaryExchange
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"BinaryExchange"`
`public static final String`
`ENCODING_TYPE_ATTRIB_NAME`
`"EncodingType"`
`public static final String`
`TYPE_LOCAL_NAME`
`"BinaryExchangeType"`
`public static final String`
`VALUE_TYPE_ATTRIB_NAME`
`"ValueType"`
org.opensaml.soap.wstrust.BinarySecret
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"BinarySecret"`
`public static final String`
`TYPE_ASYMMETRIC_KEY`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/AsymmetricKey"`
`public static final String`
`TYPE_ATTRIB_NAME`
`"Type"`
`public static final String`
`TYPE_LOCAL_NAME`
`"BinarySecretType"`
`public static final String`
`TYPE_NONCE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/Nonce"`
`public static final String`
`TYPE_SYMMETRIC_KEY`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/SymmetricKey"`
org.opensaml.soap.wstrust.CancelTarget
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"CancelTarget"`
`public static final String`
`TYPE_LOCAL_NAME`
`"CancelTargetType"`
org.opensaml.soap.wstrust.CanonicalizationAlgorithm
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"CanonicalizationAlgorithm"`
org.opensaml.soap.wstrust.Challenge
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Challenge"`
org.opensaml.soap.wstrust.Claims
Modifier and Type
Constant Field
Value
`public static final String`
`DIALECT_ATTRIB_NAME`
`"Dialect"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Claims"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ClaimsType"`
org.opensaml.soap.wstrust.Code
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Code"`
`public static final String`
`INVALID`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/status/invalid"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusCodeOpenEnum"`
`public static final String`
`VALID`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/status/valid"`
org.opensaml.soap.wstrust.CombinedHash
Modifier and Type
Constant Field
Value
`public static final String`
`AUTH_HASH`
`"AUTH-HASH"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"CombinedHash"`
org.opensaml.soap.wstrust.ComputedKey
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ComputedKey"`
`public static final String`
`HASH`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/CK/HASH"`
`public static final String`
`PSHA1`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/CK/PSHA1"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ComputedKeyOpenEnum"`
org.opensaml.soap.wstrust.ComputedKeyAlgorithm
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ComputedKeyAlgorithm"`
org.opensaml.soap.wstrust.Delegatable
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Delegatable"`
org.opensaml.soap.wstrust.DelegateTo
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"DelegateTo"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DelegateToType"`
org.opensaml.soap.wstrust.Encryption
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Encryption"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptionType"`
org.opensaml.soap.wstrust.EncryptionAlgorithm
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"EncryptionAlgorithm"`
org.opensaml.soap.wstrust.EncryptWith
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"EncryptWith"`
org.opensaml.soap.wstrust.Entropy
Modifier and Type
Constant Field
Value
`public static final String`
`DIALECT_ATTRIB_NAME`
`"EntropyType"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Entropy"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EntropyType"`
org.opensaml.soap.wstrust.Forwardable
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Forwardable"`
org.opensaml.soap.wstrust.IssuedTokens
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"IssuedTokens"`
org.opensaml.soap.wstrust.Issuer
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Issuer"`
org.opensaml.soap.wstrust.KeyExchangeToken
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"KeyExchangeToken"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyExchangeTokenType"`
org.opensaml.soap.wstrust.KeySize
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"KeySize"`
org.opensaml.soap.wstrust.KeyType
Modifier and Type
Constant Field
Value
`public static final String`
`BEARER`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/Bearer"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"KeyType"`
`public static final String`
`PUBLIC_KEY`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/PublicKey"`
`public static final String`
`SYMMETRIC_KEY`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/SymmetricKey"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyTypeOpenEnum"`
org.opensaml.soap.wstrust.KeyWrapAlgorithm
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"KeyWrapAlgorithm"`
org.opensaml.soap.wstrust.Lifetime
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Lifetime"`
`public static final String`
`TYPE_LOCAL_NAME`
`"LifetimeType"`
org.opensaml.soap.wstrust.OnBehalfOf
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"OnBehalfOf"`
`public static final String`
`TYPE_LOCAL_NAME`
`"OnBehalfOfType"`
org.opensaml.soap.wstrust.Participant
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Participant"`
org.opensaml.soap.wstrust.Participants
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Participants"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ParticipantsType"`
org.opensaml.soap.wstrust.ParticipantType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"ParticipantType"`
org.opensaml.soap.wstrust.Primary
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Primary"`
org.opensaml.soap.wstrust.ProofEncryption
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ProofEncryption"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ProofEncryptionType"`
org.opensaml.soap.wstrust.Reason
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Reason"`
org.opensaml.soap.wstrust.Renewing
Modifier and Type
Constant Field
Value
`public static final String`
`ALLOW_ATTRIB_NAME`
`"Allow"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Renewing"`
`public static final String`
`OK_ATTRIB_NAME`
`"OK"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RenewingType"`
org.opensaml.soap.wstrust.RenewTarget
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RenewTarget"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RenewTargetType"`
org.opensaml.soap.wstrust.RequestedAttachedReference
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestedAttachedReference"`
org.opensaml.soap.wstrust.RequestedProofToken
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestedProofToken"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedProofTokenType"`
org.opensaml.soap.wstrust.RequestedReferenceType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedReferenceType"`
org.opensaml.soap.wstrust.RequestedSecurityToken
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestedSecurityToken"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedSecurityTokenType"`
org.opensaml.soap.wstrust.RequestedTokenCancelled
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestedTokenCancelled"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestedTokenCancelledType"`
org.opensaml.soap.wstrust.RequestedUnattachedReference
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestedUnattachedReference"`
org.opensaml.soap.wstrust.RequestKET
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestKET"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestKETType"`
org.opensaml.soap.wstrust.RequestSecurityToken
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_ATTRIB_NAME`
`"Context"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestSecurityToken"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestSecurityTokenType"`
org.opensaml.soap.wstrust.RequestSecurityTokenCollection
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestSecurityTokenCollection"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestSecurityTokenCollectionType"`
org.opensaml.soap.wstrust.RequestSecurityTokenResponse
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_ATTRIB_NAME`
`"Context"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestSecurityTokenResponse"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestSecurityTokenResponseType"`
org.opensaml.soap.wstrust.RequestSecurityTokenResponseCollection
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestSecurityTokenResponseCollection"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestSecurityTokenResponseCollectionType"`
org.opensaml.soap.wstrust.RequestType
Modifier and Type
Constant Field
Value
`public static final String`
`BATCH_CANCEL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/BatchCancel"`
`public static final String`
`BATCH_ISSUE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/BatchIssue"`
`public static final String`
`BATCH_RENEW`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/BatchRenew"`
`public static final String`
`BATCH_VALIDATE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/BatchValidate"`
`public static final String`
`CANCEL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/Cancel"`
`public static final String`
`ELEMENT_LOCAL_NAME`
`"RequestType"`
`public static final String`
`ISSUE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue"`
`public static final String`
`KET`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/KET"`
`public static final String`
`RENEW`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/Renew"`
`public static final String`
`STSCANCEL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/STSCancel"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestTypeOpenEnum"`
`public static final String`
`VALIDATE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/Validate"`
org.opensaml.soap.wstrust.SignatureAlgorithm
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"SignatureAlgorithm"`
org.opensaml.soap.wstrust.SignChallenge
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"SignChallenge"`
org.opensaml.soap.wstrust.SignChallengeResponse
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"SignChallengeResponse"`
org.opensaml.soap.wstrust.SignChallengeType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"SignChallengeType"`
org.opensaml.soap.wstrust.SignWith
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"SignWith"`
org.opensaml.soap.wstrust.Status
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"Status"`
org.opensaml.soap.wstrust.TokenType
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"TokenType"`
`public static final String`
`STATUS`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/Status"`
org.opensaml.soap.wstrust.UseKey
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"UseKey"`
`public static final String`
`SIG_ATTRIB_NAME`
`"Sig"`
`public static final String`
`TYPE_LOCAL_NAME`
`"UseKeyType"`
org.opensaml.soap.wstrust.ValidateTarget
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"ValidateTarget"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ValidateTargetType"`
org.opensaml.soap.wstrust.WSTrustConstants
Modifier and Type
Constant Field
Value
`public static final String`
`WSA_ACTION_RST_CANCEL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Cancel"`
`public static final String`
`WSA_ACTION_RST_ISSUE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue"`
`public static final String`
`WSA_ACTION_RST_KET`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/KET"`
`public static final String`
`WSA_ACTION_RST_RENEW`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Renew"`
`public static final String`
`WSA_ACTION_RST_STSCANCEL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/STSCancel"`
`public static final String`
`WSA_ACTION_RST_VALIDATE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Validate"`
`public static final String`
`WSA_ACTION_RSTR_CANCEL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/Cancel"`
`public static final String`
`WSA_ACTION_RSTR_CANCEL_FINAL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/CancelFinal"`
`public static final String`
`WSA_ACTION_RSTR_ISSUE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/Issue"`
`public static final String`
`WSA_ACTION_RSTR_KET`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/KET"`
`public static final String`
`WSA_ACTION_RSTR_KET_FINAL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/KETFinal"`
`public static final String`
`WSA_ACTION_RSTR_RENEW`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/Renew"`
`public static final String`
`WSA_ACTION_RSTR_RENEW_FINAL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/RenewFinal"`
`public static final String`
`WSA_ACTION_RSTR_VALIDATE`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/Validate"`
`public static final String`
`WSA_ACTION_RSTR_VALIDATE_FINAL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTR/ValidateFinal"`
`public static final String`
`WSA_ACTION_RSTRC_ISSUE_FINAL`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RSTRC/IssueFinal"`
`public static final String`
`WST_NS`
`"http://docs.oasis-open.org/ws-sx/ws-trust/200512"`
`public static final String`
`WST_PREFIX`
`"wst"`
`public static final String`
`WST_VERSION`
`"1.3"`

org.opensaml.storage.VersionMismatchException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`6671967087940320625L`

org.opensaml.storage.impl.client.ClientStorageService
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_STORAGE_NAME`
`"shib_idp_client_ss"`
`protected static final String`
`LOCK_ATTRIBUTE`
`"org.opensaml.storage.impl.client.ClientStorageService.lock"`
`protected static final String`
`STORAGE_ATTRIBUTE`
`"org.opensaml.storage.impl.client.ClientStorageService.store"`
org.opensaml.storage.impl.client.LoadClientStorageServices
Modifier and Type
Constant Field
Value
`public static final String`
`EXCEPTION_FORM_FIELD`
`"shib_idp_ls_exception"`
`public static final String`
`SUCCESS_FORM_FIELD`
`"shib_idp_ls_success"`
`public static final String`
`SUPPORT_FORM_FIELD`
`"shib_idp_ls_supported"`
`public static final String`
`VALUE_FORM_FIELD`
`"shib_idp_ls_value"`
org.opensaml.storage.impl.client.LogLocalStorageSaveResults
Modifier and Type
Constant Field
Value
`public static final String`
`EXCEPTION_FORM_FIELD`
`"shib_idp_ls_exception"`
`public static final String`
`SUCCESS_FORM_FIELD`
`"shib_idp_ls_success"`
org.opensaml.storage.impl.client.PopulateClientStorageLoadContext
Modifier and Type
Constant Field
Value
`public static final String`
`LOAD_NOT_NEEDED`
`"NoLoadNeeded"`
org.opensaml.storage.impl.client.PopulateClientStorageSaveContext
Modifier and Type
Constant Field
Value
`public static final String`
`SAVE_NOT_NEEDED`
`"NoSaveNeeded"`

org.opensaml.storage.impl.memcached.MemcachedStorageService
Modifier and Type
Constant Field
Value
`protected static final String`
`CTX_KEY_DELETED_SUFFIX`
`":contextKeyDeletedList"`
`private static final String`
`CTX_KEY_LIST_DELIMITER`
`"\n"`
`protected static final String`
`CTX_KEY_LIST_SUFFIX`
`":contextKeyList"`
`private static final int`
`MAX_KEY_LENGTH`
`250`
org.opensaml.storage.impl.memcached.StorageRecordTranscoder
Modifier and Type
Constant Field
Value
`private static final int`
`MAX_SIZE`
`1048576`
org.opensaml.storage.impl.memcached.StringTranscoder
Modifier and Type
Constant Field
Value
`private static final int`
`MAX_SIZE`
`1048576`

org.opensaml.xacml.XACMLConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DNS_NAME_DATATYPE_URI`
`"urn:oasis:names:tc:xacml:1.0:data-type:dnsName"`
`public static final String`
`IP_ADDRESS_DATATYPE_URI`
`"urn:oasis:names:tc:xacml:1.0:data-type:ipAddress"`
`public static final String`
`RFC822_NAME_DATATYPE_URI`
`"urn:oasis:names:tc:xacml:1.0:data-type:rfc822Name"`
`public static final String`
`X500_NAME_DATATYPE_URI`
`"urn:oasis:names:tc:xacml:1.0:data-type:x500Name"`
`public static final String`
`XACML_PREFIX`
`"xacml"`
`public static final String`
`XACML10_NS`
`"urn:oasis:names:tc:xacml:1.0:policy"`
`public static final String`
`XACML10CTX_NS`
`"urn:oasis:names:tc:xacml:1.0:context"`
`public static final String`
`XACML20_NS`
`"urn:oasis:names:tc:xacml:2.0:policy:schema:os"`
`public static final String`
`XACML20CTX_NS`
`"urn:oasis:names:tc:xacml:2.0:context:schema:os"`
`public static final String`
`XACML30_NS`
`"urn:oasis:names:tc:xacml:3.0:schema:os"`
`public static final String`
`XACMLCONTEXT_PREFIX`
`"xacml-context"`

org.opensaml.xacml.ctx.ActionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Action"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ActionType"`
org.opensaml.xacml.ctx.AttributeType
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTEID_ATTTRIB_NAME`
`"AttributeId"`
`public static final String`
`DATATYPE_ATTRIB_NAME`
`"DataType"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Attribute"`
`public static final String`
`ISSUER_ATTRIB_NAME`
`"Issuer"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeType"`
org.opensaml.xacml.ctx.AttributeValueType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeValue"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AttributeValueType"`
org.opensaml.xacml.ctx.DecisionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Decision"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DecisionType"`
org.opensaml.xacml.ctx.EnvironmentType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Environment"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EnvironmentType"`
org.opensaml.xacml.ctx.MissingAttributeDetailType
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTE_ID_ATTRIB_NAME`
`"AttributeId"`
`public static final String`
`DATA_TYPE_ATTRIB_NAME`
`"DataType"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"MissingAttributeDetail"`
`public static final String`
`ISSUER_ATTRIB_NAME`
`"Issuer"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"MissingAttributeDetailType"`
org.opensaml.xacml.ctx.RequestType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Request"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RequestType"`
org.opensaml.xacml.ctx.ResourceContentType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ResourceContent"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ResourceContentType"`
org.opensaml.xacml.ctx.ResourceType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Resource"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ResourceType"`
org.opensaml.xacml.ctx.ResponseType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Response"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ResponseType"`
org.opensaml.xacml.ctx.ResultType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Result"`
`public static final String`
`RESOURCE_ID_ATTTRIB_NAME`
`"ResourceId"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ResultType"`
org.opensaml.xacml.ctx.StatusCodeType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusCode"`
`public static final String`
`SC_MISSING_ATTRIBUTE`
`"urn:oasis:names:tc:xacml:1.0:status:missing-attribute"`
`public static final String`
`SC_OK`
`"urn:oasis:names:tc:xacml:1.0:status:ok"`
`public static final String`
`SC_PROCESSING_ERROR`
`"urn:oasis:names:tc:xacml:1.0:status:processing-error"`
`public static final String`
`SC_SYNTAX_ERROR`
`"urn:oasis:names:tc:xacml:1.0:status:syntax-error"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusCodeType"`
`public static final String`
`VALUE_ATTTRIB_NAME`
`"Value"`
org.opensaml.xacml.ctx.StatusDetailType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusDetail"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusDetailType"`
org.opensaml.xacml.ctx.StatusMessageType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"StatusMessage"`
org.opensaml.xacml.ctx.StatusType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Status"`
`public static final String`
`TYPE_LOCAL_NAME`
`"StatusType"`
org.opensaml.xacml.ctx.SubjectType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Subject"`
`public static final String`
`SUBJECT_CATEGORY_ATTTRIB_DEFAULT`
`"urn:oasis:names:tc:xacml:1.0:subject-category:access-subject"`
`public static final String`
`SUBJECT_CATEGORY_ATTTRIB_NAME`
`"SubjectCategory"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SubjectType"`

org.opensaml.xacml.ctx.provider.impl.ObligationProcessingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-8978474052544318919L`

org.opensaml.xacml.policy.ActionMatchType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ActionMatch"`
`public static final String`
`MATCH_ID_ATTRIB_NAME`
`"MatchId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ActionMatchType"`
org.opensaml.xacml.policy.ActionsType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Actions"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ActionsType"`
org.opensaml.xacml.policy.ActionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Action"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ActionType"`
org.opensaml.xacml.policy.ApplyType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Apply"`
`public static final String`
`FUNCTION_ID_ATTRIB_NAME`
`"FunctionId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ApplyType"`
org.opensaml.xacml.policy.AttributeAssignmentType
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_ID_ATTRIB_NAME`
`"AttributeId"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeAssignment"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"AttributeAssignmentType"`
org.opensaml.xacml.policy.AttributeDesignatorType
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
`"ActionAttributeDesignator"`
`public static final String`
`ATTRIBUTE_ID_ATTRIB_NAME`
`"AttributeId"`
`public static final String`
`DATA_TYPE_ATTRIB_NAME`
`"DataType"`
`public static final String`
`ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
`"EnvironmentAttributeDesignator"`
`public static final String`
`ISSUER_ATTRIB_NAME`
`"Issuer"`
`public static final String`
`MUST_BE_PRESENT_ATTRIB_NAME`
`"MustBePresent"`
`public static final String`
`RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
`"ResourceAttributeDesignator"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"AttributeDesignatorType"`
`public static final String`
`SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
`"SubjectAttributeDesignator"`
org.opensaml.xacml.policy.AttributeSelectorType
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_TYPE_ATTRIB_NAME`
`"DataType"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeSelector"`
`public static final String`
`MUST_BE_PRESENT_ATTRIB_NAME`
`"MustBePresent"`
`public static final String`
`REQUEST_CONTEXT_PATH_ATTRIB_NAME`
`"RequestContextPath"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"AttributeSelectorType"`
org.opensaml.xacml.policy.AttributeValueType
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_TYPE_ATTRIB_NAME`
`"DataType"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AttributeValue"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"AttributeValueType"`
org.opensaml.xacml.policy.CombinerParametersType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"CombinerParameters"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"CombinerParametersType"`
org.opensaml.xacml.policy.CombinerParameterType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"CombinerParameter"`
`public static final String`
`PARAMETER_NAMEATTRIB_NAME`
`"ParameterName"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"CombinerParameterType"`
org.opensaml.xacml.policy.ConditionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Condition"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ConditionType"`
org.opensaml.xacml.policy.DefaultsType
Modifier and Type
Constant Field
Value
`public static final String`
`POLICY_DEFAULTS_ELEMENT_LOCAL_NAME`
`"PolicyDefaults"`
`public static final String`
`POLICY_SET_DEFAULTS_ELEMENT_LOCAL_NAME`
`"PolicySetDefaults"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"DefaultsType"`
org.opensaml.xacml.policy.DescriptionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Description"`
org.opensaml.xacml.policy.EnvironmentMatchType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EnvironmentMatch"`
`public static final String`
`MATCH_ID_ATTRIB_NAME`
`"MatchId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"EnvironmentMatchType"`
org.opensaml.xacml.policy.EnvironmentsType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Environments"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"EnvironmentsType"`
org.opensaml.xacml.policy.EnvironmentType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Environment"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"EnvironmentType"`
org.opensaml.xacml.policy.ExpressionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Expression"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ExpressionType"`
org.opensaml.xacml.policy.FunctionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Function"`
`public static final String`
`FUNCTION_ID_ATTRIB_NAME`
`"FunctionId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"FunctionType"`
org.opensaml.xacml.policy.IdReferenceType
Modifier and Type
Constant Field
Value
`public static final String`
`EARLIEST_VERSION_ATTRIB_NAME`
`"EarliestVersion"`
`public static final String`
`LATEST_VERSION_ATTRIB_NAME`
`"LatestVersion"`
`public static final String`
`POLICY_ID_REFERENCE_ELEMENT_LOCAL_NAME`
`"PolicyIdReference"`
`public static final String`
`POLICY_SET_ID_REFERENCE_ELEMENT_LOCAL_NAME`
`"PolicySetIdReference"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"IdReferenceType"`
`public static final String`
`VERSION_ATTRIB_NAME`
`"Version"`
org.opensaml.xacml.policy.ObligationsType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Obligations"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ObligationsType"`
org.opensaml.xacml.policy.ObligationType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Obligation"`
`public static final String`
`FULFILL_ON_ATTRIB_NAME`
`"FulfillOn"`
`public static final String`
`OBLIGATION_ID_ATTRIB_NAME`
`"ObligationId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ObligationType"`
org.opensaml.xacml.policy.PolicyCombinerParametersType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PolicyCombinerParameters"`
`public static final String`
`POLICY_ID_REF_ATTRIB_NAME`
`"PolicyIdRef"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"PolicyCombinerParametersType"`
org.opensaml.xacml.policy.PolicySetCombinerParametersType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PolicySetCombinerParameters"`
`public static final String`
`POLICY_SET_ID_REF_ATTRIB_NAME`
`"PolicySetIdRef"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"PolicySetCombinerParametersType"`
org.opensaml.xacml.policy.PolicySetType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PolicySet"`
`public static final String`
`DEFAULT_VERSION`
`"1.0"`
`public static final String`
`POLICY_COMBINING_ALG_ID_ATTRIB_NAME`
`"PolicyCombiningAlgId"`
`public static final String`
`POLICY_SET_ID_ATTRIB_NAME`
`"PolicySetId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"PolicySetType"`
`public static final String`
`VERSION_ATTRIB_NAME`
`"Version"`
org.opensaml.xacml.policy.PolicyType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Policy"`
`public static final String`
`POLICY_ID_ATTRIB_NAME`
`"PolicyId"`
`public static final String`
`RULE_COMBINING_ALG_ID_ATTRIB_NAME`
`"RuleCombiningAlgId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"PolicyType"`
`public static final String`
`VERSION_ATTRIB_NAME`
`"Version"`
`public static final String`
`VERSION_DEFAULT_VALUE`
`"1.0"`
org.opensaml.xacml.policy.ResourceMatchType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ResourceMatch"`
`public static final String`
`MATCH_ID_ATTRIB_NAME`
`"MatchId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ResourceMatchType"`
org.opensaml.xacml.policy.ResourcesType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Resources"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ResourcesType"`
org.opensaml.xacml.policy.ResourceType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Resource"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"ResourceType"`
org.opensaml.xacml.policy.RuleCombinerParametersType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RuleCombinerParameters"`
`public static final String`
`RULE_ID_REF_ATTRIB_NAME`
`"RuleIdRef"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"RuleCombinerParametersType"`
org.opensaml.xacml.policy.RuleType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Rule"`
`public static final String`
`EFFECT_ATTRIB_NAME`
`"Effect"`
`public static final String`
`RULE_ID_ATTRIB_NAME`
`"RuleId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"RuleType"`
org.opensaml.xacml.policy.SubjectAttributeDesignatorType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectAttributeDesignator"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"SubjectAttributeDesignatorType"`
`public static final String`
`SUBJECT_CATEGORY_ATTRIB_NAME`
`"SubjectCategory"`
org.opensaml.xacml.policy.SubjectMatchType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SubjectMatch"`
`public static final String`
`MATCH_ID_ATTRIB_NAME`
`"MatchId"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"SubjectMatchType"`
org.opensaml.xacml.policy.SubjectsType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Subjects"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"SubjectsType"`
org.opensaml.xacml.policy.SubjectType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Subject"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"SubjectType"`
org.opensaml.xacml.policy.TargetType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Target"`
`public static final String`
`SCHEMA_TYPE_LOCAL_NAME`
`"TargetType"`
org.opensaml.xacml.policy.VariableDefinitionType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"VariableDefinition"`
`public static final String`
`TYPE_LOCAL_NAME`
`"VariableDefinitionType"`
`public static final String`
`VARIABLE_ID_ATTRIB_NAME`
`"VariableId"`
org.opensaml.xacml.policy.VariableReferenceType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"VariableReference"`
`public static final String`
`TYPE_LOCAL_NAME`
`"VariableReferenceType"`
`public static final String`
`VARIABLE_ID_ATTRIB_NAME`
`"VariableId"`
org.opensaml.xacml.policy.XPathVersion
Modifier and Type
Constant Field
Value
`public static final String`
`ELEMENT_LOCAL_NAME`
`"XPathVersion"`

org.opensaml.xacml.profile.saml.ReferencedPoliciesType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ReferencedPolicies"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ReferencedPoliciesType"`
org.opensaml.xacml.profile.saml.SAMLProfileConstants
Modifier and Type
Constant Field
Value
`public static final String`
`SAML20XACML1_1_NS`
`"urn:oasis:names:tc:xacml:1.1:profile:saml2.0:v2:schema:assertion"`
`public static final String`
`SAML20XACML1_1P_NS`
`"urn:oasis:names:tc:xacml:1.1:profile:saml2.0:v2:schema:protocol"`
`public static final String`
`SAML20XACML10_NS`
`"urn:oasis:names:tc:xacml:1.0:profile:saml2.0:v2:schema:assertion"`
`public static final String`
`SAML20XACML10P_NS`
`"urn:oasis:names:tc:xacml:1.0:profile:saml2.0:v2:schema:protocol"`
`public static final String`
`SAML20XACML20_NS`
`"urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:assertion"`
`public static final String`
`SAML20XACML20P_NS`
`"urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol"`
`public static final String`
`SAML20XACML30_NS`
`"urn:oasis:names:tc:xacml:3.0:profile:saml2.0:v2:schema:assertion"`
`public static final String`
`SAML20XACML30P_NS`
`"urn:oasis:names:tc:xacml:3.0:profile:saml2.0:v2:schema:protocol"`
`public static final String`
`SAML20XACMLASSERTION_PREFIX`
`"xacml-saml"`
`public static final String`
`SAML20XACMLPROTOCOL_PREFIX`
`"xacml-samlp"`
org.opensaml.xacml.profile.saml.XACMLAuthzDecisionQueryType
Modifier and Type
Constant Field
Value
`public static final String`
`COMBINEPOLICIES_ATTRIB_NAME`
`"CombinePolicies"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"XACMLAuthzDecisionQuery"`
`public static final String`
`INPUTCONTEXTONLY_ATTRIB_NAME`
`"InputContextOnly"`
`public static final String`
`RETURNCONTEXT_ATTRIB_NAME`
`"ReturnContext"`
`public static final String`
`TYPE_LOCAL_NAME`
`"XACMLAuthzDecisionQueryType"`
org.opensaml.xacml.profile.saml.XACMLAuthzDecisionStatementType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"XACMLAuthzDecisionStatement"`
`public static final String`
`TYPE_LOCAL_NAME`
`"XACMLAuthzDecisionStatementType"`
org.opensaml.xacml.profile.saml.XACMLPolicyQueryType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"XACMLPolicyQuery"`
`public static final String`
`TYPE_LOCAL_NAME`
`"XACMLPolicyQueryType"`
org.opensaml.xacml.profile.saml.XACMLPolicyStatementType
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"XACMLPolicyStatement"`
`public static final String`
`TYPE_LOCAL_NAME`
`"XACMLPolicyStatementType"`

org.opensaml.xmlsec.agreement.KeyAgreementException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-2936335465767094633L`

org.opensaml.xmlsec.agreement.impl.DHWithLegacyKDFKeyAgreementProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DIGEST_METHOD`
`"http://www.w3.org/2001/04/xmlenc#sha256"`

org.opensaml.xmlsec.config.DecryptionParserPoolInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROP_PREFIX_XML`
`"opensaml.config.xml.decryption"`
`public static final String`
`CONFIG_PROPERTY_XML_ELEMENT_ATTRIBUTE_LIMIT`
`"opensaml.config.xml.decryption.elementAttributeLimit"`
`public static final String`
`CONFIG_PROPERTY_XML_MAX_ELEMENT_DEPTH`
`"opensaml.config.xml.decryption.maxElementDepth"`
`public static final String`
`ELEMENT_ATTRIBUTE_LIMIT_DEFAULT`
`"30"`
`public static final String`
`MAX_ELEMENT_DEPTH_DEFAULT`
`"25"`

org.opensaml.xmlsec.config.impl.ApacheXMLSecurityInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROPERTY_XML_PARSER_ENABLE`
`"opensaml.config.xmlsec.ApacheSantuarioXMLParser.enable"`
org.opensaml.xmlsec.config.impl.DefaultSecurityConfigurationBootstrap
Modifier and Type
Constant Field
Value
`public static final String`
`CONCATKDF`
`"ConcatKDF"`
`public static final String`
`CONFIG_PROPERTY_ECDH_DEFAULT_KDF`
`"opensaml.config.ecdh.defaultKDF"`
`public static final String`
`PBKDF2`
`"PBKDF2"`
org.opensaml.xmlsec.config.impl.JavaCryptoValidationInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROPERTY_FAIL_IS_FATAL`
`"opensaml.config.xmlsec.cryptoValidationIsFatal"`

org.opensaml.xmlsec.derivation.KeyDerivationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`1745203357584881658L`

org.opensaml.xmlsec.derivation.impl.ConcatKDF
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DIGEST_METHOD`
`"http://www.w3.org/2001/04/xmlenc#sha256"`
org.opensaml.xmlsec.derivation.impl.PBKDF2
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PRF`
`"http://www.w3.org/2001/04/xmldsig-more#hmac-sha256"`
`private static final String`
`PBKDF2_JCA_ALGORITHM_BASE`
`"PBKDF2With"`

org.opensaml.xmlsec.encryption.AgreementMethod
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIBUTE_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"AgreementMethod"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AgreementMethodType"`
org.opensaml.xmlsec.encryption.AlgorithmIdentifierType
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`TYPE_LOCAL_NAME`
`"AlgorithmIdentifierType"`
org.opensaml.xmlsec.encryption.CarriedKeyName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"CarriedKeyName"`
org.opensaml.xmlsec.encryption.CipherData
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"CipherData"`
`public static final String`
`TYPE_LOCAL_NAME`
`"CipherDataType"`
org.opensaml.xmlsec.encryption.CipherReference
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"CipherReference"`
`public static final String`
`TYPE_LOCAL_NAME`
`"CipherReferenceType"`
`public static final String`
`URI_ATTRIB_NAME`
`"URI"`
org.opensaml.xmlsec.encryption.CipherValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"CipherValue"`
org.opensaml.xmlsec.encryption.ConcatKDFParams
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ID_ATTRIBUTE_NAME`
`"AlgorithmID"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ConcatKDFParams"`
`public static final String`
`PARTY_U_INFO_ATTRIBUTE_NAME`
`"PartyUInfo"`
`public static final String`
`PARTY_V_INFO_ATTRIBUTE_NAME`
`"PartyVInfo"`
`public static final String`
`SUPP_PRIV_INFO_ATTRIBUTE_NAME`
`"SuppPrivInfo"`
`public static final String`
`SUPP_PUB_INFO_ATTRIBUTE_NAME`
`"SuppPubInfo"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ConcatKDFParamsType"`
org.opensaml.xmlsec.encryption.DataReference
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DataReference"`
org.opensaml.xmlsec.encryption.DerivedKey
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DerivedKey"`
`public static final String`
`ID_ATTRIBUTE_NAME`
`"Id"`
`public static final String`
`RECIPIENT_ATTRIBUTE_NAME`
`"Recipient"`
`public static final String`
`TYPE_ATTRIBUTE_NAME`
`"Type"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DerivedKeyType"`
org.opensaml.xmlsec.encryption.DerivedKeyName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DerivedKeyName"`
org.opensaml.xmlsec.encryption.DHKeyValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DHKeyValue"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DHKeyValueType"`
org.opensaml.xmlsec.encryption.EncryptedData
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptedData"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptedDataType"`
org.opensaml.xmlsec.encryption.EncryptedKey
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptedKey"`
`public static final String`
`RECIPIENT_ATTRIB_NAME`
`"Recipient"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptedKeyType"`
org.opensaml.xmlsec.encryption.EncryptedType
Modifier and Type
Constant Field
Value
`public static final String`
`ENCODING_ATTRIB_NAME`
`"Encoding"`
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`MIMETYPE_ATTRIB_NAME`
`"MimeType"`
`public static final String`
`TYPE_ATTRIB_NAME`
`"Type"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptedType"`
org.opensaml.xmlsec.encryption.EncryptionMethod
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptionMethod"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptionMethodType"`
org.opensaml.xmlsec.encryption.EncryptionProperties
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptionProperties"`
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptionPropertiesType"`
org.opensaml.xmlsec.encryption.EncryptionProperty
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"EncryptionProperty"`
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`TARGET_ATTRIB_NAME`
`"Target"`
`public static final String`
`TYPE_LOCAL_NAME`
`"EncryptionPropertyType"`
org.opensaml.xmlsec.encryption.Generator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Generator"`
org.opensaml.xmlsec.encryption.IterationCount
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"IterationCount"`
org.opensaml.xmlsec.encryption.KANonce
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KA-Nonce"`
org.opensaml.xmlsec.encryption.KeyDerivationMethod
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIBUTE_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyDerivationMethod"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyDerivationMethodType"`
org.opensaml.xmlsec.encryption.KeyLength
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyLength"`
org.opensaml.xmlsec.encryption.KeyReference
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyReference"`
org.opensaml.xmlsec.encryption.KeySize
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeySize"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeySizeType"`
org.opensaml.xmlsec.encryption.MasterKeyName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"MasterKeyName"`
org.opensaml.xmlsec.encryption.MGF
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"MGF"`
`public static final String`
`TYPE_LOCAL_NAME`
`"MGFType"`
org.opensaml.xmlsec.encryption.OAEPparams
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"OAEPparams"`
org.opensaml.xmlsec.encryption.OriginatorKeyInfo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"OriginatorKeyInfo"`
org.opensaml.xmlsec.encryption.OtherSource
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"OtherSource"`
org.opensaml.xmlsec.encryption.P
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"P"`
org.opensaml.xmlsec.encryption.Parameters
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Parameters"`
org.opensaml.xmlsec.encryption.PBKDF2Params
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PBKDF2-params"`
`public static final String`
`TYPE_LOCAL_NAME`
`"PBKDF2ParameterType"`
org.opensaml.xmlsec.encryption.PgenCounter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"pgenCounter"`
org.opensaml.xmlsec.encryption.PRF
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PRF"`
`public static final String`
`TYPE_LOCAL_NAME`
`"PRFAlgorithmIdentifierType"`
org.opensaml.xmlsec.encryption.Public
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Public"`
org.opensaml.xmlsec.encryption.Q
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Q"`
org.opensaml.xmlsec.encryption.RecipientKeyInfo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RecipientKeyInfo"`
org.opensaml.xmlsec.encryption.ReferenceList
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ReferenceList"`
org.opensaml.xmlsec.encryption.ReferenceType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"ReferenceType"`
`public static final String`
`URI_ATTRIB_NAME`
`"URI"`
org.opensaml.xmlsec.encryption.Salt
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Salt"`
org.opensaml.xmlsec.encryption.Seed
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"seed"`
org.opensaml.xmlsec.encryption.Specified
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Specified"`
org.opensaml.xmlsec.encryption.Transforms
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Transforms"`
`public static final String`
`TYPE_LOCAL_NAME`
`"TransformsType"`

org.opensaml.xmlsec.encryption.support.DecryptionException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7785660781162212790L`
org.opensaml.xmlsec.encryption.support.EncryptionConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ALGO_ID_BLOCKCIPHER_AES128`
`"http://www.w3.org/2001/04/xmlenc#aes128-cbc"`
`public static final String`
`ALGO_ID_BLOCKCIPHER_AES128_GCM`
`"http://www.w3.org/2009/xmlenc11#aes128-gcm"`
`public static final String`
`ALGO_ID_BLOCKCIPHER_AES192`
`"http://www.w3.org/2001/04/xmlenc#aes192-cbc"`
`public static final String`
`ALGO_ID_BLOCKCIPHER_AES192_GCM`
`"http://www.w3.org/2009/xmlenc11#aes192-gcm"`
`public static final String`
`ALGO_ID_BLOCKCIPHER_AES256`
`"http://www.w3.org/2001/04/xmlenc#aes256-cbc"`
`public static final String`
`ALGO_ID_BLOCKCIPHER_AES256_GCM`
`"http://www.w3.org/2009/xmlenc11#aes256-gcm"`
`public static final String`
`ALGO_ID_BLOCKCIPHER_TRIPLEDES`
`"http://www.w3.org/2001/04/xmlenc#tripledes-cbc"`
`public static final String`
`ALGO_ID_DIGEST_RIPEMD160`
`"http://www.w3.org/2001/04/xmlenc#ripemd160"`
`public static final String`
`ALGO_ID_DIGEST_SHA256`
`"http://www.w3.org/2001/04/xmlenc#sha256"`
`public static final String`
`ALGO_ID_DIGEST_SHA512`
`"http://www.w3.org/2001/04/xmlenc#sha512"`
`public static final String`
`ALGO_ID_KEYAGREEMENT_DH`
`"http://www.w3.org/2001/04/xmlenc#dh"`
`public static final String`
`ALGO_ID_KEYAGREEMENT_DH_EXPLICIT_KDF`
`"http://www.w3.org/2009/xmlenc11#dh-es"`
`public static final String`
`ALGO_ID_KEYAGREEMENT_ECDH_ES`
`"http://www.w3.org/2009/xmlenc11#ECDH-ES"`
`public static final String`
`ALGO_ID_KEYDERIVATION_CONCATKDF`
`"http://www.w3.org/2009/xmlenc11#ConcatKDF"`
`public static final String`
`ALGO_ID_KEYDERIVATION_PBKDF2`
`"http://www.w3.org/2009/xmlenc11#pbkdf2"`
`public static final String`
`ALGO_ID_KEYTRANSPORT_RSA15`
`"http://www.w3.org/2001/04/xmlenc#rsa-1_5"`
`public static final String`
`ALGO_ID_KEYTRANSPORT_RSAOAEP`
`"http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p"`
`public static final String`
`ALGO_ID_KEYTRANSPORT_RSAOAEP11`
`"http://www.w3.org/2009/xmlenc11#rsa-oaep"`
`public static final String`
`ALGO_ID_KEYWRAP_AES128`
`"http://www.w3.org/2001/04/xmlenc#kw-aes128"`
`public static final String`
`ALGO_ID_KEYWRAP_AES192`
`"http://www.w3.org/2001/04/xmlenc#kw-aes192"`
`public static final String`
`ALGO_ID_KEYWRAP_AES256`
`"http://www.w3.org/2001/04/xmlenc#kw-aes256"`
`public static final String`
`ALGO_ID_KEYWRAP_TRIPLEDES`
`"http://www.w3.org/2001/04/xmlenc#kw-tripledes"`
`public static final String`
`ALGO_ID_MGF1_SHA1`
`"http://www.w3.org/2009/xmlenc11#mgf1sha1"`
`public static final String`
`ALGO_ID_MGF1_SHA224`
`"http://www.w3.org/2009/xmlenc11#mgf1sha224"`
`public static final String`
`ALGO_ID_MGF1_SHA256`
`"http://www.w3.org/2009/xmlenc11#mgf1sha256"`
`public static final String`
`ALGO_ID_MGF1_SHA384`
`"http://www.w3.org/2009/xmlenc11#mgf1sha384"`
`public static final String`
`ALGO_ID_MGF1_SHA512`
`"http://www.w3.org/2009/xmlenc11#mgf1sha512"`
`public static final String`
`TYPE_CONTENT`
`"http://www.w3.org/2001/04/xmlenc#Content"`
`public static final String`
`TYPE_DERIVED_KEY`
`"http://www.w3.org/2009/xmlenc11#DerivedKey"`
`public static final String`
`TYPE_DH_KEY_VALUE`
`"http://www.w3.org/2001/04/xmlenc#DHKeyValue"`
`public static final String`
`TYPE_EC_KEY_VALUE`
`"http://www.w3.org/2009/xmlenc11#ECKeyValue"`
`public static final String`
`TYPE_ELEMENT`
`"http://www.w3.org/2001/04/xmlenc#Element"`
`public static final String`
`TYPE_ENCRYPTED_KEY`
`"http://www.w3.org/2001/04/xmlenc#EncryptedKey"`
`public static final String`
`TYPE_ENCRYPTION_PROPERTIES`
`"http://www.w3.org/2001/04/xmlenc#EncryptionProperties"`
`public static final String`
`TYPE_KEYINFO_DH_KEYVALUE`
`"http://www.w3.org/2001/04/xmlenc#DHKeyValue"`
`public static final String`
`XMLENC_NS`
`"http://www.w3.org/2001/04/xmlenc#"`
`public static final String`
`XMLENC_PREFIX`
`"xenc"`
`public static final String`
`XMLENC11_NS`
`"http://www.w3.org/2009/xmlenc11#"`
`public static final String`
`XMLENC11_PREFIX`
`"xenc11"`
org.opensaml.xmlsec.encryption.support.EncryptionException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-3196546983060216532L`
org.opensaml.xmlsec.encryption.support.PreDecryptionValidationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`5697805272721615415L`

org.opensaml.xmlsec.impl.provider.ApacheSantuarioXMLParser
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROPERTY_MAX_POOL_SIZE`
`"opensaml.config.xmlsec.ApacheSantuarioXMLParser.maxPoolSize"`

org.opensaml.xmlsec.signature.CryptoBinary
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"CryptoBinary"`
org.opensaml.xmlsec.signature.DEREncodedKeyValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DEREncodedKeyValue"`
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DEREncodedKeyValueType"`
org.opensaml.xmlsec.signature.DigestMethod
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DigestMethod"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DigestMethodType"`
org.opensaml.xmlsec.signature.DSAKeyValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"DSAKeyValue"`
`public static final String`
`TYPE_LOCAL_NAME`
`"DSAKeyValueType"`
org.opensaml.xmlsec.signature.ECKeyValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"ECKeyValue"`
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`TYPE_LOCAL_NAME`
`"ECKeyValueType"`
org.opensaml.xmlsec.signature.ECPointType
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"ECPointType"`
org.opensaml.xmlsec.signature.Exponent
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Exponent"`
org.opensaml.xmlsec.signature.G
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"G"`
org.opensaml.xmlsec.signature.J
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"J"`
org.opensaml.xmlsec.signature.KeyInfo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyInfo"`
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyInfoType"`
org.opensaml.xmlsec.signature.KeyInfoReference
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyInfoReference"`
`public static final String`
`ID_ATTRIB_NAME`
`"Id"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyInfoReferenceType"`
`public static final String`
`URI_ATTRIB_NAME`
`"URI"`
org.opensaml.xmlsec.signature.KeyName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyName"`
org.opensaml.xmlsec.signature.KeyValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyValue"`
`public static final String`
`TYPE_LOCAL_NAME`
`"KeyValueType"`
org.opensaml.xmlsec.signature.MgmtData
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"MgmtData"`
org.opensaml.xmlsec.signature.Modulus
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Modulus"`
org.opensaml.xmlsec.signature.NamedCurve
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"NamedCurve"`
`public static final String`
`TYPE_LOCAL_NAME`
`"NamedCurveType"`
`public static final String`
`URI_ATTRIB_NAME`
`"URI"`
org.opensaml.xmlsec.signature.P
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"P"`
org.opensaml.xmlsec.signature.PgenCounter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PgenCounter"`
org.opensaml.xmlsec.signature.PGPData
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PGPData"`
`public static final String`
`TYPE_LOCAL_NAME`
`"PGPDataType"`
org.opensaml.xmlsec.signature.PGPKeyID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PGPKeyID"`
org.opensaml.xmlsec.signature.PGPKeyPacket
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PGPKeyPacket"`
org.opensaml.xmlsec.signature.PublicKey
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"PublicKey"`
org.opensaml.xmlsec.signature.Q
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Q"`
org.opensaml.xmlsec.signature.RetrievalMethod
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RetrievalMethod"`
`public static final String`
`TYPE_ATTRIB_NAME`
`"Type"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RetrievalMethodType"`
`public static final String`
`URI_ATTRIB_NAME`
`"URI"`
org.opensaml.xmlsec.signature.RSAKeyValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"RSAKeyValue"`
`public static final String`
`TYPE_LOCAL_NAME`
`"RSAKeyValueType"`
org.opensaml.xmlsec.signature.Seed
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Seed"`
org.opensaml.xmlsec.signature.Signature
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Signature"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SignatureType"`
org.opensaml.xmlsec.signature.SPKIData
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SPKIData"`
`public static final String`
`TYPE_LOCAL_NAME`
`"SPKIDataType"`
org.opensaml.xmlsec.signature.SPKISexp
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"SPKISexp"`
org.opensaml.xmlsec.signature.Transform
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Transform"`
`public static final String`
`TYPE_LOCAL_NAME`
`"TransformType"`
org.opensaml.xmlsec.signature.Transforms
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Transforms"`
`public static final String`
`TYPE_LOCAL_NAME`
`"TransformsType"`
org.opensaml.xmlsec.signature.X509Certificate
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509Certificate"`
org.opensaml.xmlsec.signature.X509CRL
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509CRL"`
org.opensaml.xmlsec.signature.X509Data
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509Data"`
`public static final String`
`TYPE_LOCAL_NAME`
`"X509DataType"`
org.opensaml.xmlsec.signature.X509Digest
Modifier and Type
Constant Field
Value
`public static final String`
`ALGORITHM_ATTRIB_NAME`
`"Algorithm"`
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509Digest"`
`public static final String`
`TYPE_LOCAL_NAME`
`"X509DigestType"`
org.opensaml.xmlsec.signature.X509IssuerName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509IssuerName"`
org.opensaml.xmlsec.signature.X509IssuerSerial
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509IssuerSerial"`
`public static final String`
`TYPE_LOCAL_NAME`
`"X509IssuerSerialType"`
org.opensaml.xmlsec.signature.X509SerialNumber
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509SerialNumber"`
`public static final String`
`TYPE_LOCAL_NAME`
`"integer"`
org.opensaml.xmlsec.signature.X509SKI
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509SKI"`
org.opensaml.xmlsec.signature.X509SubjectName
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"X509SubjectName"`
org.opensaml.xmlsec.signature.XPath
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"XPath"`
org.opensaml.xmlsec.signature.Y
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Y"`

org.opensaml.xmlsec.signature.support.SignatureConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ALGO_ID_C14N_EXCL_OMIT_COMMENTS`
`"http://www.w3.org/2001/10/xml-exc-c14n#"`
`public static final String`
`ALGO_ID_C14N_EXCL_WITH_COMMENTS`
`"http://www.w3.org/2001/10/xml-exc-c14n#WithComments"`
`public static final String`
`ALGO_ID_C14N_OMIT_COMMENTS`
`"http://www.w3.org/TR/2001/REC-xml-c14n-20010315"`
`public static final String`
`ALGO_ID_C14N_WITH_COMMENTS`
`"http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments"`
`public static final String`
`ALGO_ID_C14N11_OMIT_COMMENTS`
`"http://www.w3.org/2006/12/xml-c14n11"`
`public static final String`
`ALGO_ID_C14N11_WITH_COMMENTS`
`"http://www.w3.org/2006/12/xml-c14n11#WithComments"`
`public static final String`
`ALGO_ID_DIGEST_NOT_RECOMMENDED_MD5`
`"http://www.w3.org/2001/04/xmldsig-more#md5"`
`public static final String`
`ALGO_ID_DIGEST_RIPEMD160`
`"http://www.w3.org/2001/04/xmlenc#ripemd160"`
`public static final String`
`ALGO_ID_DIGEST_SHA1`
`"http://www.w3.org/2000/09/xmldsig#sha1"`
`public static final String`
`ALGO_ID_DIGEST_SHA224`
`"http://www.w3.org/2001/04/xmldsig-more#sha224"`
`public static final String`
`ALGO_ID_DIGEST_SHA256`
`"http://www.w3.org/2001/04/xmlenc#sha256"`
`public static final String`
`ALGO_ID_DIGEST_SHA3_224`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-224"`
`public static final String`
`ALGO_ID_DIGEST_SHA3_256`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-256"`
`public static final String`
`ALGO_ID_DIGEST_SHA3_384`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-384"`
`public static final String`
`ALGO_ID_DIGEST_SHA3_512`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-512"`
`public static final String`
`ALGO_ID_DIGEST_SHA384`
`"http://www.w3.org/2001/04/xmldsig-more#sha384"`
`public static final String`
`ALGO_ID_DIGEST_SHA512`
`"http://www.w3.org/2001/04/xmlenc#sha512"`
`public static final String`
`ALGO_ID_ENCODING_BASE64`
`"http://www.w3.org/2000/09/xmldsig#base64"`
`public static final String`
`ALGO_ID_MAC_HMAC_NOT_RECOMMENDED_MD5`
`"http://www.w3.org/2001/04/xmldsig-more#hmac-md5"`
`public static final String`
`ALGO_ID_MAC_HMAC_RIPEMD160`
`"http://www.w3.org/2001/04/xmldsig-more#hmac-ripemd160"`
`public static final String`
`ALGO_ID_MAC_HMAC_SHA1`
`"http://www.w3.org/2000/09/xmldsig#hmac-sha1"`
`public static final String`
`ALGO_ID_MAC_HMAC_SHA224`
`"http://www.w3.org/2001/04/xmldsig-more#hmac-sha224"`
`public static final String`
`ALGO_ID_MAC_HMAC_SHA256`
`"http://www.w3.org/2001/04/xmldsig-more#hmac-sha256"`
`public static final String`
`ALGO_ID_MAC_HMAC_SHA384`
`"http://www.w3.org/2001/04/xmldsig-more#hmac-sha384"`
`public static final String`
`ALGO_ID_MAC_HMAC_SHA512`
`"http://www.w3.org/2001/04/xmldsig-more#hmac-sha512"`
`public static final String`
`ALGO_ID_SIGNATURE_DSA`
`"http://www.w3.org/2000/09/xmldsig#dsa-sha1"`
`public static final String`
`ALGO_ID_SIGNATURE_DSA_SHA1`
`"http://www.w3.org/2000/09/xmldsig#dsa-sha1"`
`public static final String`
`ALGO_ID_SIGNATURE_DSA_SHA256`
`"http://www.w3.org/2009/xmldsig11#dsa-sha256"`
`public static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA1`
`"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha1"`
`public static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA224`
`"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha224"`
`public static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA256`
`"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha256"`
`public static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA384`
`"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha384"`
`public static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA512`
`"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha512"`
`public static final String`
`ALGO_ID_SIGNATURE_NOT_RECOMMENDED_RSA_MD5`
`"http://www.w3.org/2001/04/xmldsig-more#rsa-md5"`
`public static final String`
`ALGO_ID_SIGNATURE_RSA`
`"http://www.w3.org/2000/09/xmldsig#rsa-sha1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSA_RIPEMD160`
`"http://www.w3.org/2001/04/xmldsig-more#rsa-ripemd160"`
`public static final String`
`ALGO_ID_SIGNATURE_RSA_SHA1`
`"http://www.w3.org/2000/09/xmldsig#rsa-sha1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSA_SHA224`
`"http://www.w3.org/2001/04/xmldsig-more#rsa-sha224"`
`public static final String`
`ALGO_ID_SIGNATURE_RSA_SHA256`
`"http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"`
`public static final String`
`ALGO_ID_SIGNATURE_RSA_SHA384`
`"http://www.w3.org/2001/04/xmldsig-more#rsa-sha384"`
`public static final String`
`ALGO_ID_SIGNATURE_RSA_SHA512`
`"http://www.w3.org/2001/04/xmldsig-more#rsa-sha512"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA1_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha1-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA224_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha224-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA256_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha256-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_224_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-224-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_256_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-256-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_384_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-384-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_512_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha3-512-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA384_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha384-rsa-MGF1"`
`public static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA512_MGF1`
`"http://www.w3.org/2007/05/xmldsig-more#sha512-rsa-MGF1"`
`public static final String`
`MORE_ALGO_2007_05_NS`
`"http://www.w3.org/2007/05/xmldsig-more#"`
`public static final String`
`MORE_ALGO_NS`
`"http://www.w3.org/2001/04/xmldsig-more#"`
`public static final String`
`TRANSFORM_BASE64_DECODE`
`"http://www.w3.org/2000/09/xmldsig#base64"`
`public static final String`
`TRANSFORM_C14N_EXCL_OMIT_COMMENTS`
`"http://www.w3.org/2001/10/xml-exc-c14n#"`
`public static final String`
`TRANSFORM_C14N_EXCL_WITH_COMMENTS`
`"http://www.w3.org/2001/10/xml-exc-c14n#WithComments"`
`public static final String`
`TRANSFORM_C14N_OMIT_COMMENTS`
`"http://www.w3.org/TR/2001/REC-xml-c14n-20010315"`
`public static final String`
`TRANSFORM_C14N_WITH_COMMENTS`
`"http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments"`
`public static final String`
`TRANSFORM_C14N11_OMIT_COMMENTS`
`"http://www.w3.org/2006/12/xml-c14n11"`
`public static final String`
`TRANSFORM_C14N11_WITH_COMMENTS`
`"http://www.w3.org/2006/12/xml-c14n11#WithComments"`
`public static final String`
`TRANSFORM_ENVELOPED_SIGNATURE`
`"http://www.w3.org/2000/09/xmldsig#enveloped-signature"`
`public static final String`
`TRANSFORM_XPATH`
`"http://www.w3.org/TR/1999/REC-xpath-19991116"`
`public static final String`
`TRANSFORM_XSLT`
`"http://www.w3.org/TR/1999/REC-xslt-19991116"`
`public static final String`
`TYPE_KEYINFO_DERENCODEDKEYVALUE`
`"http://www.w3.org/2009/xmldsig11#DEREncodedKeyValue"`
`public static final String`
`TYPE_KEYINFO_DSA_KEYVALUE`
`"http://www.w3.org/2000/09/xmldsig#DSAKeyValue"`
`public static final String`
`TYPE_KEYINFO_ECKEYVALUE`
`"http://www.w3.org/2009/xmldsig11#ECKeyValue"`
`public static final String`
`TYPE_KEYINFO_KEYNAME`
`"http://www.w3.org/2001/04/xmldsig-more#KeyName"`
`public static final String`
`TYPE_KEYINFO_KEYVALUE`
`"http://www.w3.org/2001/04/xmldsig-more#KeyValue"`
`public static final String`
`TYPE_KEYINFO_MGMTDATA`
`"http://www.w3.org/2000/09/xmldsig#MgmtData"`
`public static final String`
`TYPE_KEYINFO_PGPDATA`
`"http://www.w3.org/2000/09/xmldsig#PGPData"`
`public static final String`
`TYPE_KEYINFO_PKCS7_SIGNED_DATA`
`"http://www.w3.org/2001/04/xmldsig-more#PKCS7signedData"`
`public static final String`
`TYPE_KEYINFO_RAW_PGP_KEYPACKET`
`"http://www.w3.org/2001/04/xmldsig-more#rawPGPKeyPacket"`
`public static final String`
`TYPE_KEYINFO_RAW_PKCS7_SIGNED_DATA`
`"http://www.w3.org/2001/04/xmldsig-more#rawPKCS7signedData"`
`public static final String`
`TYPE_KEYINFO_RAW_SPKI_SEXP`
`"http://www.w3.org/2001/04/xmldsig-more#rawSPKISexp"`
`public static final String`
`TYPE_KEYINFO_RAW_X509CERT`
`"http://www.w3.org/2000/09/xmldsig#rawX509Certificate"`
`public static final String`
`TYPE_KEYINFO_RAW_X509CRL`
`"http://www.w3.org/2001/04/xmldsig-more#rawX509CRL"`
`public static final String`
`TYPE_KEYINFO_RETRIEVAL_METHOD`
`"http://www.w3.org/2001/04/xmldsig-more#RetrievalMethod"`
`public static final String`
`TYPE_KEYINFO_RSA_KEYVALUE`
`"http://www.w3.org/2000/09/xmldsig#RSAKeyValue"`
`public static final String`
`TYPE_KEYINFO_SPKIDATA`
`"http://www.w3.org/2000/09/xmldsig#SPKIData"`
`public static final String`
`TYPE_KEYINFO_X509DATA`
`"http://www.w3.org/2000/09/xmldsig#X509Data"`
`public static final String`
`XMLSIG_NS`
`"http://www.w3.org/2000/09/xmldsig#"`
`public static final String`
`XMLSIG_PREFIX`
`"ds"`
`public static final String`
`XMLSIG11_NS`
`"http://www.w3.org/2009/xmldsig11#"`
`public static final String`
`XMLSIG11_PREFIX`
`"ds11"`
org.opensaml.xmlsec.signature.support.SignatureException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7879866991794922684L`

org.opensaml.xmlsec.signature.support.impl.SignatureAlgorithmValidator
Modifier and Type
Constant Field
Value
`private static final String`
`ATTR_NAME_ALGORTHM`
`"Algorithm"`